<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Pizzan
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://www.themeholy.com/
 *
 */

// enqueue css
function poolax_common_custom_css(){
    wp_enqueue_style( 'poolax-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = poolax_opt( 'poolax_css_editor' );
    if( $CustomCssOpt ){
        $CustomCssOpt = $CustomCssOpt;
    }else{
        $CustomCssOpt = '';
    }

    $customcss = "";
    
    if( get_header_image() ){
        $poolax_header_bg =  get_header_image();
    }else{
        if( poolax_meta( 'page_breadcrumb_settings' ) == 'page' ){
            if( ! empty( poolax_meta( 'breadcumb_image' ) ) ){
                $poolax_header_bg = poolax_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $poolax_header_bg ) ){
        $customcss .= ".breadcumb-wrapper{
            background-image:url('{$poolax_header_bg}')!important;
        }";
    }
    
    $poolaxthemecolor = poolax_opt('poolax_theme_color');
    if (!empty($poolaxthemecolor)) {
        list($r, $g, $b) = sscanf($poolaxthemecolor, "#%02x%02x%02x");

        $poolax_real_color = $r . ',' . $g . ',' . $b;

        $customcss .= ":root {
            --theme-color: rgb({$poolax_real_color});
        }";
    }
    // Heading  color
    $poolaxheadingcolor = poolax_opt('poolax_heading_color');
    if( !empty( $poolaxheadingcolor ) ){
        list($r, $g, $b) = sscanf( $poolaxheadingcolor, "#%02x%02x%02x");

        $poolax_real_color = $r.','.$g.','.$b;
        if( !empty( $poolaxheadingcolor ) ) {
            $customcss .= ":root {
                --title-color: rgb({$poolax_real_color});
            }";
        }
    }
    // Body color
    $poolaxbodycolor = poolax_opt('poolax_body_color');
    if( !empty( $poolaxbodycolor ) ){
        list($r, $g, $b) = sscanf( $poolaxbodycolor, "#%02x%02x%02x");

        $poolax_real_color = $r.','.$g.','.$b;
        if( !empty( $poolaxbodycolor ) ) {
            $customcss .= ":root {
                --body-color: rgb({$poolax_real_color});
            }";
        }
    }

    // Body font
    $poolaxbodyfont = poolax_opt('poolax_theme_body_font', 'font-family');
    if( !empty( $poolaxbodyfont ) ) {
        $customcss .= ":root {
            --body-font: $poolaxbodyfont ;
        }";
    }

    // Heading font
    $poolaxheadingfont = poolax_opt('poolax_theme_heading_font', 'font-family');
    if( !empty( $poolaxheadingfont ) ) {
        $customcss .= ":root {
            --title-font: $poolaxheadingfont ;
        }";
    }
    
    // Style font
    $poolaxstylefont = poolax_opt('poolax_theme_style_font', 'font-family');
    if( !empty( $poolaxstylefont ) ) {
        $customcss .= ":root {
            --style-font: $poolaxstylefont ; 
        }";
    }

    // Submenu icon change
    if(poolax_opt('poolax_menu_icon_class')){
        $menu_icon_class = poolax_opt( 'poolax_menu_icon_class' );
    }else{
        $menu_icon_class = 'f5c5';
    }

    if( !empty( $menu_icon_class ) ) {
        $customcss .= ".main-menu ul.sub-menu li a:before {
                content: \"\\$menu_icon_class\" !important;
            }";
    }
    
    if( !empty( $CustomCssOpt ) ){
        $customcss .= $CustomCssOpt;
    }

    wp_add_inline_style( 'poolax-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'poolax_common_custom_css', 100 );