<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * About Info Widget .
 *
 */
class Poolax_About_Us extends Widget_Base {

	public function get_name() {
		return 'poolaxaboutus';
	}

	public function get_title() {
		return __( 'About Us', 'poolax' );
	}

	public function get_icon() {
		return 'th-icon';
    }

	public function get_categories() {
		return [ 'poolax' ];
	}


	protected function register_controls() {


		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'About Us', 'poolax' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'poolax' ),												
					'2'  		=> __( 'Style Two', 'poolax' ),												
					'3'  		=> __( 'Style Three', 'poolax' ),												
				],
			]
		);
		
		poolax_general_fields($this, 'subtitle', 'Subtitle', 'TEXT', 'About Us', ['1', '2']);
		poolax_general_fields($this, 'title', 'Title', 'TEXTAREA', 'Simplify Pool Maintenance with Our Expert Services', ['1', '2']);
		poolax_general_fields($this, 'desc', 'Description', 'TEXTAREA', '', ['1', '2']);
		poolax_media_fields($this, 'icon', 'Choose Icon', ['2']);
		poolax_general_fields($this, 'desc2', 'Description 2', 'TEXTAREA', '', ['1', '2']);
		poolax_general_fields($this, 'button_text', 'Button Text', 'TEXT', 'More About Us', ['1', '2']);
		poolax_url_fields($this, 'button_url', 'Button URL', '', ['1', '2']);
		poolax_general_fields($this, 'list', 'List', 'TEXTAREA', '', ['1']);
		poolax_media_fields($this, 'image', 'Choose Image', ['1', '2'] );
		poolax_media_fields($this, 'image2', 'Choose Image 2', ['1']);
		poolax_general_fields($this, 'exp_year', 'Experience Year', 'TEXT', '25', ['1']);
		poolax_general_fields($this, 'exp_info', 'Experience Info', 'TEXTAREA', 'Experience', ['1']);

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'counter_number', 'Counter Number', 'TEXT', '25');
		poolax_general_fields($repeater, 'counter_number_after', 'Counter Number After', 'TEXT', '');
		poolax_general_fields($repeater, 'counter_text', 'Counter Text', 'TEXT', 'Project Completed');

		$this->add_control(
			'counter_list',
			[
				'label' 		=> __( 'Counter', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'counter_text' 		=> __( 'Counter One', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['2'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_general_fields( $repeater, 'year', 'History Year', 'TEXT', '2018' );
		poolax_general_fields( $repeater, 'title', 'History Titel', 'TEXTAREA2', 'Best Pool Service Award' );
		poolax_general_fields( $repeater, 'desc', 'History Text', 'TEXTAREA', '' );
		poolax_media_fields( $repeater, 'image', 'Choose Image' );

		$this->add_control(
			'history_list',
			[
				'label' 		=> __( 'History Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'year' 		=> __( '2018', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

        $this->end_controls_section();
		

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		poolax_common_style_fields( $this, 'subtitle2', 'Subtitle', '{{WRAPPER}} .sub', ['1', '2'],'--theme-color' );
		//-------Title Style-------
		poolax_common_style_fields( $this, 'year', 'Year', '{{WRAPPER}} .nav-link', ['3'] );
		poolax_common_style_fields( $this, 'title2', 'Title', '{{WRAPPER}} .title' );
		//-------Description Style-------
		poolax_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc' );
		poolax_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .desc2', ['1', '2'] );
		//------Button Style-------
		poolax_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn', ['1', '2'] );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
       
		if( $settings['layout_style'] == '2' ){
			echo '<div class="row">';
                echo '<div class="col-xl-6">';
					if(!empty($settings['image']['url'] )){
						echo '<div class="img-box7 me-xl-5">';
							echo '<div class="img1 global-img">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $settings['image']['url'] ),
								));
							echo '</div>';
						echo '</div>';
					}
                echo '</div>';

                echo '<div class="col-xl-6">';
                    echo '<div class="title-area">';
						if(!empty($settings['subtitle'])){
							echo '<span class="sub-title sub style1">'.wp_kses_post($settings['subtitle']).'</span>';
						}
						if(!empty($settings['title'])){
							echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
						}
						if(!empty($settings['desc'])){
							echo '<p class="desc">'.wp_kses_post($settings['desc']).'</p>';
						}
                    echo '</div>';
                    echo '<div class="about-counter-wrapper">';
                        echo '<div class="about-box">';
                            echo '<div class="about-box_content">';
								if(!empty($settings['icon']['url'] )){
									echo '<div class="about-box_icon">';
										echo poolax_img_tag( array(
											'url'   => esc_url( $settings['icon']['url'] ),
										));
									echo '</div>';
								}
								if(!empty($settings['desc2'])){
								echo '<p class="about-box_text desc2">'.wp_kses_post($settings['desc2']).'</p>';
								}
								if(!empty($settings['button_text'])){
								echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="line-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
								}
                            echo '</div>';
                        echo '</div>';
                        echo '<div class="counter-content style3">'; 
							foreach( $settings['counter_list'] as $data ){
								echo '<div class="th-counterup style3 wow fadeInUp">';
									echo '<div class="inner">';
										echo '<div class="content">';
											echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
												echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
											echo '</h3>';
											if(!empty($data['counter_text'])){
												echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							}
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="nav nav-tabs history-tabs" id="nav-tab" role="tablist">';
				foreach( $settings['history_list'] as $key => $data ){
					$active = $key == '0' ? 'active':'';
					echo '<button class="nav-link  '.$active.'" id="nav-step'.esc_attr($key).'-tab" data-bs-toggle="tab" data-bs-target="#nav-step'.esc_attr($key).'" type="button">'.wp_kses_post( $data['year'] ).'</button>';
				}
			echo '</div>';
			echo '<div class="tab-content" id="nav-tabContent">';
				foreach( $settings['history_list'] as $key => $data ){
					$active = $key == '0' ? 'active show':'';
					echo '<div class="tab-pane fade  '.$active.'" id="nav-step'.esc_attr($key).'" role="tabpanel">';
						echo '<div class="history-content">';
							if(!empty($data['image']['url'])){
								echo '<div class="history-image">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['image']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="hostory-box">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title title mt-n2">'.wp_kses_post( $data['title'] ).'</h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="history-text desc">'.wp_kses_post( $data['desc'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}else{
			echo '<div class="row">';
                echo '<div class="col-xl-6 wow fadeInLeft">';
                    echo '<div class="img-box1">';
                        echo '<div class="img1">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ),
							));
                        echo '</div>';
                        echo '<div class="img2 movingX">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $settings['image2']['url'] ),
							));
                        echo '</div>';
                        echo '<div class="th-experience jump">';
                            echo '<h3 class="experience-year">'.wp_kses_post($settings['exp_year']).'</h3>';
                            echo '<p class="experience-text">'.wp_kses_post($settings['exp_info']).'</p>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
                echo '<div class="col-xl-6">';
                    echo '<div class="wow fadeInRight">';
                        echo '<div class="title-area mb-25">';
                            echo '<span class="sub-title sub style1">'.wp_kses_post($settings['subtitle']).'</span>';
                            echo '<h2 class="sec-title title mb-20">'.wp_kses_post($settings['title']).'</h2>';
                            echo '<blockquote class="about-blockquote">';
                                echo '<p  class="desc">'.wp_kses_post($settings['desc']).'</p>';
                            echo '</blockquote>';
                            echo '<p class="about-desc desc2">'.wp_kses_post($settings['desc2']).'</p>';
                        echo '</div>';
                        echo '<div class="btn-group">';
                            echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
                            echo '<div class="checklist">'.wp_kses_post($settings['list']).'</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

		}
	

	}

}
