<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Banner Widget.
 *
 */
class poolax_Banner extends Widget_Base {

	public function get_name() {
		return 'poolaxbanner';
	}
	public function get_title() {
		return __( 'Banner Slider', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax_header_elements' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'banner_section',
			[
				'label' 	=> __( 'Banner', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2' 		=> __( 'Style Two', 'poolax' ),
					'3' 		=> __( 'Style Three', 'poolax' ),
					'4' 		=> __( 'Style Four', 'poolax' ),
					'5' 		=> __( 'Style Five', 'poolax' ),
					'6' 		=> __( 'Style Six', 'poolax' ),
				],
			]
		);

        $repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'overlay', 'Choose Overlay Image');
		poolax_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXT', 'Refresh, Relax, Rejuvenate');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Pool Perfection Starts Here');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Discover More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');
		poolax_general_fields($repeater, 'button_text2', 'Button Text 2', 'TEXT', 'Contact Us');
		poolax_url_fields($repeater, 'button_url2', 'Button URL 2');

		$this->add_control(
			'banner_slides',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'WELCOME TO POOLAX', 'poolax' ),
						'title' 		=> __( 'Pool Perfection Starts Here', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['1']
				]		
			]
		);

		poolax_media_fields($this, 'bg', 'Choose Background', ['2', '3']);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'overlay', 'Overlay Image');
		poolax_media_fields($repeater, 'shape', 'Shape Image');
		poolax_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXTAREA', 'Refresh, Relax, Rejuvenate');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Pool Bliss Every Splash');
		poolax_general_fields($repeater, 'title2', 'Title 2', 'TEXTAREA', 'Every Time');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Make An Appointment');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'banner_slides2',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'WELCOME TO POOLAX', 'poolax' ),
						'title' 		=> __( 'Pool Perfection Starts Here', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['2']
				]		
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'overlay', 'Overlay Image');
		poolax_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXTAREA', 'Refresh, Relax, Rejuvenate');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Swim in Serenity,');
		poolax_general_fields($repeater, 'title2', 'Title 2', 'TEXTAREA', 'Thanks to Us');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Discover More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');
		poolax_general_fields($repeater, 'button_text2', 'Button Text 2', 'TEXT', 'Our Services');
		poolax_url_fields($repeater, 'button_url2', 'Button URL 2');

		$this->add_control(
			'banner_slides3',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'WELCOME TO POOLAX', 'poolax' ),
						'title' 		=> __( 'Swim in Serenity,', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['3']
				]		
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'image2', 'Choose Image');
		poolax_media_fields($repeater, 'image3', 'Choose Image');
		poolax_general_fields($repeater, 'subtitle', 'Subtitle', 'TEXTAREA', 'Refresh, Relax, Rejuvenate');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Swim in Serenity,');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Discover More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'banner_slides4',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'WELCOME TO POOLAX', 'poolax' ),
						'title' 		=> __( 'Swim in Serenity,', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['4']
				]		
			]
		);

		
		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'image2', 'Choose Image');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Swim in Serenity,');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Discover More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');
		poolax_general_fields($repeater, 'button_text2', 'Button Text 2', 'TEXT', 'Contact Us');
		poolax_url_fields($repeater, 'button_url2', 'Button URL 2');

		$this->add_control(
			'banner_slides5',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'subtitle' 	=> __( 'WELCOME TO POOLAX', 'poolax' ),
						'title' 		=> __( 'Swim in Serenity,', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['5']
				]		
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'image2', 'Choose Image');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Swim in Serenity,');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Discover More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');
		poolax_media_fields($repeater, 'shape', 'Choose Shape Image');
		poolax_media_fields($repeater, 'shape2', 'Choose Shape Image');

		$this->add_control(
			'banner_slides6',
			[
				'label' 		=> __( 'Banners', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Swim in Serenity,', 'poolax' ),
					],
				],		
				'condition'	=> [
					'layout_style' => ['6']
				]		
			]
		);


		poolax_switcher_fields($this, 'show_shape', 'Show All Shape?', ['1']);

		$this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		poolax_common_style_fields($this, 'subtitle', 'Subtitle', '{{WRAPPER}} .hero-subtitle', ['3', '4'],'--theme-color3');
		poolax_common_style_fields($this, 'subtitle2', 'Subtitle', '{{WRAPPER}} .hero-subtitle', ['1', '2'],'--theme-color');
		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .hero-title');
		poolax_common_style_fields($this, 'title3', 'Title 2', '{{WRAPPER}} .title-2', ['3']);
		//-------Title 2 Style-------
		poolax_common_style_fields($this, 'title2', 'Title 2', '{{WRAPPER}} .hero-big-title', ['2'], '--theme-color');
		//-------Description Style-------
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .hero-text', ['1', '3', '5']);
		//------Button Style-------
		poolax_button_style_fields($this, '10', 'Button Styling', '{{WRAPPER}} .th_btn');
		//------Button 2 Style-------
		poolax_button_style_fields($this, '11', 'Button 2 Styling', '{{WRAPPER}} .th_btn2', ['1', '3', '5']);


    }

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="th-hero-wrapper  hero-4" data-bg-src="'.esc_url($settings['bg']['url']).'">';
				echo '<div class="hero-slider-4 th-carousel" id="heroSlide4" data-slide-show="1" data-md-slide-show="1" data-fade="true">';
					foreach( $settings['banner_slides2'] as $data ){
						echo '<div class="th-hero-slide">';
							echo '<div class="th-hero-bg">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['overlay']['url'] ),
								));
								echo '<div class="th-hero-shape" data-ani="slideinup" data-ani-delay="0.7s">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['shape']['url'] ),
									));
								echo '</div>';
							echo '</div>';
							echo '<div class="container">';
								echo '<div class="row align-items-end">';
									echo '<div class="col-xl-7">';
										echo '<div class="hero-style4">';
											if(!empty($data['subtitle'])){
												echo '<div class="hero-subtitle" data-ani="slideindown" data-ani-delay="0.7s">';
													echo wp_kses_post($data['subtitle']);
												echo '</div>';
											}
											if(!empty($data['title'])){
												echo '<h1 class="hero-title mb-0" data-ani="slideindown" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
											}
											if(!empty($data['title2'])){
												echo '<h2 class="hero-big-title" data-ani="slideindown" data-ani-delay="0.6s">'.wp_kses_post($data['title2']).'</h2>';
											}
											if(!empty($data['button_text'])){
												echo '<div class="btn-group mt-30" data-ani="slideindown" data-ani-delay="0.5s">';
													echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style4 border-radius">'.wp_kses_post($data['button_text']).'</a>';
												echo '</div>';
											}
										echo '</div>';
									echo '</div>';
									echo '<div class="col-xl-5">';
										echo '<div class="th-hero-img" data-ani="slideinup" data-ani-delay="0.2s">';
											echo poolax_img_tag( array(
												'url'   => esc_url( $data['image']['url'] ),
											));
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				echo '<div class="icon-box">';
					echo '<button data-slick-prev="#heroSlide4" class="slick-arrow default"><i class="fa-regular fa-arrow-right"></i></button>';
					echo '<button data-slick-next="#heroSlide4" class="slick-arrow default"><i class="fa-regular fa-arrow-left"></i></button>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="th-hero-wrapper hero-3" data-bg-src="'.esc_url($settings['bg']['url']).'">';
				echo '<div class="hero-slider-3 th-carousel " data-slide-show="1" data-md-slide-show="1" data-fade="true">';
					foreach( $settings['banner_slides3'] as $data ){
						echo '<div class="th-hero-slide">';
							echo '<div class="th-hero-bg ">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['overlay']['url'] ),
								));
							echo '</div>';
							echo '<div class="container">';
								echo '<div class="row align-items-end">';
									echo '<div class="col-lg-7">';
										echo '<div class="hero-style3">';
											if(!empty($data['subtitle'])){
												echo '<div class="hero-subtitle" data-ani="slideindown" data-ani-delay="0.7s">'.wp_kses_post($data['subtitle']).'</div>';
											}
											if(!empty($data['title'])){
												echo '<h1 class="hero-title mb-0" data-ani="slideinleft" data-ani-delay="0.3s">'.wp_kses_post($data['title']).'</h1>';
											}
											if(!empty($data['title2'])){
												echo '<h1 class="hero-title title-2" data-ani="slideinleft" data-ani-delay="0.4s">'.wp_kses_post($data['title2']).'</h1>';
											}
											if(!empty($data['desc'])){
												echo '<p class="hero-text" data-ani="slideinup" data-ani-delay="0.5s">'.wp_kses_post($data['desc']).'</p>';
											}
											echo '<div class="btn-group  justify-content-center justify-content-lg-start" data-ani="slideinup" data-ani-delay="0.6s">';
												if(!empty($data['button_text'])){
													echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style4 radius-none">'.wp_kses_post($data['button_text']).'</a>';
												}
												if(!empty($data['button_text2'])){
													echo '<a href="'.esc_url( $data['button_url2']['url'] ).'" class="th-btn th_btn2 th-border radius-none">'.wp_kses_post($data['button_text2']).'</a>';
												}
											echo '</div>';
										echo '</div>';
									echo '</div>';
									echo '<div class="col-lg-5">';
										echo '<div class="th-hero-img" data-ani="slideinup" data-ani-delay="0.4s">';
											echo poolax_img_tag( array(
												'url'   => esc_url( $data['image']['url'] ),
											));
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				echo '<div class="animation-bubble">
					<div class="bubble-1"></div>
					<div class="bubble-2"></div>
					<div class="bubble-3"></div>
					<div class="bubble-4"></div>
					<div class="bubble-5"></div>
					<div class="bubble-6"></div>
					<div class="bubble-7"></div>
					<div class="bubble-8"></div>
					<div class="bubble-9"></div>
					<div class="bubble-10"></div>
				</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="th-hero-wrapper hero-7">';
				echo '<div class="hero-slider-7 th-carousel" id="heroSlide7" data-slide-show="1" data-md-slide-show="1" data-fade="true" data-arrows="true">';
					foreach( $settings['banner_slides4'] as $data ){
					echo '<div class="th-hero-slide">';
						echo '<div class="th-hero-bg" data-bg-src="'.esc_url($data['image']['url']).'">';
							if($data['image2']['url']){
								echo '<div class="hero-shape">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['image2']['url'] ),
									));
								echo '</div>';
							}
							if($data['image3']['url']){
							echo '<div class="hero-shape2">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['image3']['url'] ),
								));
							echo '</div>';
							}
						echo '</div>';
						echo '<div class="container">';
							echo '<div class="hero-style7">';
								if(!empty($data['subtitle'])){
									echo '<div class="hero-subtitle" data-ani="slideindown" data-ani-delay="0.7s">'.wp_kses_post($data['subtitle']).'</div>';
								}
								if(!empty($data['title'])){
									echo '<h1 class="hero-title" data-ani="slideindown" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
								}
								if(!empty($data['desc'])){
									echo '<p class="hero-text" data-ani="slideinup" data-ani-delay="0.1s">'.wp_kses_post($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<div class="btn-group justify-content-center" data-ani="slideinup" data-ani-delay="0.5s">';
										echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style4">'.wp_kses_post($data['button_text']).'</a>';
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
					}
				echo '</div>';
				echo '<div class="animation-bubble style5">
					<div class="bubble-1"></div>
					<div class="bubble-2"></div>
					<div class="bubble-3"></div>
					<div class="bubble-4"></div>
					<div class="bubble-5"></div>
					<div class="bubble-6"></div>
					<div class="bubble-7"></div>
					<div class="bubble-8"></div>
					<div class="bubble-9"></div>
					<div class="bubble-10"></div>
				</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="th-hero-wrapper hero-8">';
				echo '<div class="hero-slider-8 th-carousel" id="heroSlide8" data-slide-show="1" data-md-slide-show="1" data-fade="true">';
					foreach( $settings['banner_slides5'] as $data ){
						echo '<div class="th-hero-slide">';
							echo '<div class="th-hero-bg" data-bg-src="'.esc_url($data['image']['url']).'">';
								echo '<div class="hero-shape" data-bg-src="'.esc_url($data['image2']['url']).'" data-ani="slideinleft" data-ani-delay="0.2s"></div>';
							echo '</div>';
							echo '<div class="container">';
								echo '<div class="hero-style8">';
									if(!empty($data['title'])){
										echo '<h1 class="hero-title" data-ani="slideindown" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
									}
									if(!empty($data['desc'])){
										echo '<p class="hero-text" data-ani="slideindown" data-ani-delay="0.6s">'.wp_kses_post($data['desc']).'</p>';
									}
									echo '<div class="btn-group" data-ani="slideindown" data-ani-delay="0.8s">';
										if(!empty($data['button_text'])){
											echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn radius-none">'.wp_kses_post($data['button_text']).'</a>';
										}
										if(!empty($data['button_text2'])){
											echo '<a href="'.esc_url( $data['button_url2']['url'] ).'" class="th-btn th_btn2 th-border2 radius-none">'.wp_kses_post($data['button_text2']).'</a>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '6' ){
			echo '<div class="th-hero-wrapper bg-top-center hero-9">';
				echo '<div class="hero-slider-9 th-carousel" id="heroSlide9" data-slide-show="1" data-md-slide-show="1" data-fade="true">';
				foreach( $settings['banner_slides6'] as $data ){
					echo '<div class="th-hero-slide">';
						echo '<div class="hero-shape" data-bg-src="'.esc_url($data['image']['url']).'">';
							if($data['shape']['url']){
								echo '<div class="shape-mockup hero-shape1 movingX d-none d-xxl-block" data-top="15%" data-left="5%">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['shape']['url'] ),
									));
								echo '</div>';
							}
							if($data['shape2']['url']){
								echo '<div class="shape-mockup hero-shape1 d-none d-xxl-block" data-top="20%" data-right="3%">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['shape2']['url'] ),
									));
								echo '</div>';
							}
						echo '</div>';
						echo '<div class="container">';
							echo '<div class="hero-style9">';
								if(!empty($data['title'])){
									echo '<h1 class="hero-title" data-ani="slideinup" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
								}
								if(!empty($data['button_text'])){
									echo '<div class="btn-group justify-content-center" data-ani="slideinup" data-ani-delay="0.6s">';
										echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style8 radius-none">'.wp_kses_post($data['button_text']).'</a>';
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
						if($data['image2']['url']){
						echo '<div class="hero9-slide-image" data-ani="slideinup" data-ani-delay="0.7s">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $data['image2']['url'] ),
							));
						echo '</div>';
						}
					echo '</div>';
				}
				echo '</div>';
			echo '</div>';

		}else{
			echo '<div class="th-hero-wrapper hero-1">';
				echo '<div class="hero-slider-1 th-carousel" id="heroSlide1" data-slide-show="1" data-md-slide-show="1" data-fade="true">';
					foreach( $settings['banner_slides'] as $data ){
						echo '<div class="th-hero-slide">';
							echo '<div class="th-hero-bg" data-bg-src="'.esc_url($data['image']['url']).'">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['overlay']['url'] ),
								));
								if($settings['show_shape'] == 'yes'){
									echo '<div class="hero-animated-bubble">';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_1.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_2.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_3.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_4.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_5.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_6.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_7.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_8.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_9.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_10.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_11.png" alt="Shape"></div>';
										echo '<div class="bubbles"><img src="'.POOLAX_ASSETS.'img/bubble_12.png" alt="Shape"></div>';
									echo '</div>';
								}
							echo '</div>';
							echo '<div class="container">';
								echo '<div class="hero-style1">';
									if(!empty($data['subtitle'])){
										echo '<span class="hero-subtitle" data-ani="slideindown" data-ani-delay="0.7s">'.wp_kses_post($data['subtitle']).'</span>';
									}
									if(!empty($data['title'])){
										echo '<h1 class="hero-title" data-ani="slideindown" data-ani-delay="0.4s">'.wp_kses_post($data['title']).'</h1>';
									}
									if(!empty($data['desc'])){
										echo '<p class="hero-text" data-ani="slideinup" data-ani-delay="0.1s">'.wp_kses_post($data['desc']).'</p>';
									}
									echo '<div class="btn-group" data-ani="slideinup" data-ani-delay="0.5s">';
										if(!empty($data['button_text'])){
											echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style4">'.wp_kses_post($data['button_text']).'</a>';
										}
										if(!empty($data['button_text2'])){
											echo '<a href="'.esc_url( $data['button_url2']['url'] ).'" class="th-btn th_btn2 th-border">'.wp_kses_post($data['button_text2']).'</a>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
			
				echo '<div class="icon-box">';
					echo '<button data-slick-prev="#heroSlide1" class="slick-arrow default"><i class="fa-regular fa-arrow-right"></i></button>';
					echo '<button data-slick-next="#heroSlide1" class="slick-arrow default"><i class="fa-regular fa-arrow-left"></i></button>';
				echo '</div>';
			echo '</div>';
		}

		
	}

}