<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * Brand Logo Widget .
 *
 */
class poolax_Brand_Logo extends Widget_Base {

	public function get_name() {
		return 'poolaxbrandlogo';
	}
	public function get_title() {
		return __( 'Brand Logo', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'client_logo_section',
			[
				'label' 	=> __( 'Brand Logo', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2'  		=> __( 'Style Two', 'poolax' ),
					'3'  		=> __( 'Style Three', 'poolax' ),
				],
			]
		);

		poolax_general_fields($this, 'number', 'Number', 'TEXT', '10', ['1', '3'] ); 
		poolax_general_fields($this, 'title', 'Title', 'TEXTAREA', 'Our Trusted Partner', ['1', '3']); 

        $repeater = new Repeater();

		poolax_media_fields($repeater, 'brand_logo', 'Brand Logo');	

		$this->add_control(
			'logos',
			[
				'label' 		=> __( 'Brand Logos', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'brand_logo' => Utils::get_placeholder_image_src(),
					],
				]
			]
		);

        $this->end_controls_section();

		//---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'num', 'Number', '{{WRAPPER}} .counter-card_number', ['1', '3'] );
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .counter-title', ['1', '3']);

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="row th-carousel" data-slide-show="5" data-lg-slide-show="4" data-md-slide-show="3" data-sm-slide-show="2" data-xs-slide-show="1">';
				foreach( $settings['logos'] as $data ){
					echo '<div class="col-auto">';
						echo '<div class="brand-box wow fadeInLeft">';
							echo '<a href="">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['brand_logo']['url'] ),
									'class' => 'original',
								) );
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['brand_logo']['url'] ),
									'class' => 'gray',
								) );
							echo '</a>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="title-area text-center">';
				if($settings['title']){
					echo '<span class="brand-title">';
						echo '<span class="counter-card_number">'.wp_kses_post($settings['number']).' <span class="counter-title">'.wp_kses_post($settings['title']).'</span></span>';
					echo '</span>';
				}
            echo '</div>';
            echo '<div class="row brand-slide3 th-carousel" data-slide-show="5" data-lg-slide-show="4" data-md-slide-show="3" data-sm-slide-show="2" data-xs-slide-show="2">';
				foreach( $settings['logos'] as $data ){
					echo '<div class="col-auto brand-card  wow fadeInLeft">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $data['brand_logo']['url'] ),
						) );
					echo '</div>';
				}
            echo '</div>';

		}else{
			echo '<div class="title-area text-center">';
				if($settings['title']){
					echo '<span class="brand-title">';
						echo '<span class="counter-card_number">'.wp_kses_post($settings['number']).' <span class="counter-title">'.wp_kses_post($settings['title']).'</span></span>';
					echo '</span>';
				}
            echo '</div>';
            echo '<div class="row brand-slide th-carousel" data-slide-show="5" data-lg-slide-show="4" data-md-slide-show="3" data-sm-slide-show="2" data-xs-slide-show="2">';
				foreach( $settings['logos'] as $data ){
					echo '<div class="col-auto brand-img style2">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $data['brand_logo']['url'] ),
						) );
					echo '</div>';
				}
            echo '</div>';
		}


	}
}