<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Choose Widget .
 *
 */
class Poolax_Choose_Us extends Widget_Base {

	public function get_name() {
		return 'poolaxchoose';
	}
	public function get_title() {
		return __( 'Choose Us', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'arrow_section',
			[
				'label'     => __( 'choose', 'poolax' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2'  		=> __( 'Style Two', 'poolax' ),
					'3'  		=> __( 'Style Three', 'poolax' ),
				],
			]
		);

        poolax_media_fields( $this, 'image', 'Choose Image' );
        poolax_media_fields( $this, 'image2', 'Choose Image', ['1'] );
        poolax_general_fields( $this, 'subtitle', 'Subtitle', 'TEXT', 'Refresh, Relax, Rejuvenate', ['1'] );
		poolax_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Pool Perfection Starts Here', ['1', '3'] );
		poolax_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['1', '3'] );
		poolax_general_fields( $this, 'desc2', 'Description', 'TEXTAREA', '', ['3'] );

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'icon', 'Icon', 'TEXT', '<i class="fa-solid fa-check-double"></i>');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Personalized Service');

		$this->add_control(
			'choose_list',
			[
				'label' 		=> __( 'Choose List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Personalized Service', 'poolax' ),
					],
				],
				'condition'		=> [ 
					'layout_style' => ['1']
				],
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA2', 'Personalized Service');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', 'Personalized Service');
		poolax_url_fields($repeater, 'button_url', 'Title URL');

		$this->add_control(
			'choose_list2',
			[
				'label' 		=> __( 'Choose List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Personalized Service', 'poolax' ),
					],
				],
				'condition'		=> [ 
					'layout_style' => ['2']
				],
			]
		);

		$repeater = new Repeater();

        poolax_general_fields($repeater, 'skill_title', 'Title', 'TEXT', 'Equipment Installation');
        poolax_general_fields($repeater, 'skill_num', 'Number', 'TEXT', '90');

        $this->add_control(
            'skill_lists',
            [
                'label' 		=> __( 'Skill Lists', 'poolax' ),
                'type' 			=> Controls_Manager::REPEATER,
                'fields' 		=> $repeater->get_controls(),
                'default' 		=> [
                        [
                            'skill_title' 		=> __( 'Title', 'poolax' ),
                        ],
                ],
				'condition'		=> [ 
					'layout_style' => ['3']
				],
            ]
        );

		poolax_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Get In Touch', ['3'] );
		poolax_url_fields( $this, 'button_url', 'Button URL', '', ['3'] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------	

        $this->start_controls_section(
			'general_styling',
			[
				'label'     => __( 'Background Styling', 'poolax' ),
				'tab'       => Controls_Manager::TAB_STYLE,
			]
        );

		poolax_color_fields( $this, 'bg', 'Background', 'background', '{{WRAPPER}} .bg' );
		poolax_color_fields( $this, 'bg2', 'Background', 'background', '{{WRAPPER}} .bg2', ['1'] );  

		$this->end_controls_section();

		poolax_common_style_fields($this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub-title', ['1'], '--theme-color');
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .sec-title', ['1'] );
		poolax_common_style_fields($this, 'title22', 'Title', '{{WRAPPER}} .title', ['2', '3'] );
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .desc', ['1', '2', '3'] );
		poolax_common_style_fields($this, 'desc2', 'Description', '{{WRAPPER}} .desc2', ['3'] );
		poolax_common_style_fields($this, 'title2', 'Title', '{{WRAPPER}} .th-title', ['1'] );

		poolax_common_style_fields($this, 'skill_title', 'Skill Title', '{{WRAPPER}} .progress-title-holder', ['3']);
		poolax_button_style_fields( $this, '11', 'Button Styling', '{{WRAPPER}} .th_btn', ['3'] );


	}

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
            echo '<div class="why-sec2 bg space" data-bg-src="'.esc_url($settings['image']['url']).'">';
                echo '<div class="container">';
                    echo '<div class="why-area_content bg2">';
                        echo '<div class="title-area mb-25 text-center text-lg-start">';
                            if(!empty($settings['subtitle'])){
                                echo '<span class="sub-title style1">'.wp_kses_post($settings['subtitle']).'</span>';
                            }
                            if(!empty($settings['title'])){
                                echo '<h2 class="sec-title">'.wp_kses_post($settings['title']).'</h2>';
                            }
                            if(!empty($settings['desc'])){
                                echo '<p class="mt-n2 mb-15 desc">'.wp_kses_post($settings['desc']).'</p>';
                            }
                        echo '</div>';
                        echo '<div class="info-media_wrapp">';
                            foreach( $settings['choose_list'] as $data ){
                                echo '<div class="info-media">';
                                    if(!empty($data['icon'])){
                                        echo '<div class="info-media_icon">';
                                            echo wp_kses_post($data['icon']);
                                        echo '</div>';
                                    }
                                    if(!empty($data['title'])){
                                        echo '<div class="media-body">';
                                            echo '<h3 class="h6 info-media_title th-title">'.wp_kses_post($data['title']).'</h3>';
                                        echo '</div>';
                                    }
                                echo '</div>';
                            }
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
                if(!empty( $settings['image2']['url'])){
                echo '<div class="why-image">';
                    echo poolax_img_tag( array(
                        'url'   => esc_url( $settings['image2']['url'] ),
                    ));
                echo '</div>';
                }
            echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
			echo '<div class="row gy-4 justify-content-between align-items-center bg">';

				echo '<div class="col-md-6 col-xl-auto">';
					foreach ($settings['choose_list2'] as $index => $data) {
						if ($index % 2 == 0) {
						echo '<div class="service-block-2 wow fadeInLeft">';
							if(!empty($data['icon']['url'])){
								echo '<div class="service-block-2_img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="service-block-2_wrapper">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
								}
								if(!empty($data['title'])){
								echo '<p class="mb-0 desc">'.wp_kses_post($data['title']).'</p>';
								}
							echo '</div>';
						echo '</div>';
						}
					}
				echo '</div>';

					if(!empty( $settings['image']['url'])){
					echo '<div class="col col-xl-auto text-center d-none d-xl-block">';
						echo '<div class="service-image wow fadeInUp">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ),
							));
						echo '</div>';
					echo '</div>';
					}

				echo '<div class="col-md-6 col-xl-auto">';
					foreach ($settings['choose_list2'] as $index => $data) {
						if ($index % 2 != 0) {
							echo '<div class="service-block-2 style1 wow fadeInLeft">';
								if(!empty($data['icon']['url'])){
									echo '<div class="service-block-2_img">';
										echo poolax_img_tag( array(
											'url'   => esc_url( $data['icon']['url'] ),
										));
									echo '</div>';
								}
								echo '<div class="service-block-2_wrapper">';
									if(!empty($data['title'])){
										echo '<h3 class="box-title title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
									}
									if(!empty($data['title'])){
									echo '<p class="mb-0">'.wp_kses_post($data['title']).'</p>';
									}
								echo '</div>';
							echo '</div>';
						}
					}

				echo '</div>';

			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="choose-item-wrapper bg">';
				if(!empty( $settings['image']['url'])){
					echo '<div class="choose-image3">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>'; 
				}
				echo '<div class="choose-item-content">';
					if(!empty($settings['title'])){
						echo '<h3 class="sec-title title mt-n2 mb-20">'.wp_kses_post($settings['title']).'</h3>';
					}
					if(!empty($settings['desc'])){
						echo '<p class="desc">'.wp_kses_post($settings['desc']).'</p>';
					}
					if(!empty($settings['desc2'])){
						echo '<p class="desc2">'.wp_kses_post($settings['desc2']).'</p>';
					}
					echo '<div class="skill-card style4">';
						foreach( $settings['skill_lists'] as $data ){
							echo '<div class="skill-feature style4">';
								echo '<div class="progress-bar" data-percentage="'.esc_attr($data['skill_num']).'%">';
									echo '<h4 class="progress-title-holder">'.esc_html($data['skill_title']).'<span class="progress-number-wrapper">';
											echo '<span class="progress-number-mark" style="left: '.esc_attr($data['skill_num']).'%;">';
												echo '<span class="percent">'.esc_attr($data['skill_num']).'%</span>';
											echo '</span>';
										echo '</span>';
									echo '</h4>';
									echo '<div class="progress-content-outter">';
										echo '<div class="progress-content" style="width: '.esc_attr($data['skill_num']).'%;"></div>';
									echo '</div> ';
								echo '</div>';
							echo '</div>';
						}
					echo '</div>';
					if(!empty($settings['button_text'])){
						echo '<div class="btn-group justify-content-start">';
							echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
						echo '</div>';
					}
				echo '</div>';
			echo '</div>';

		}

			
	}
}