<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Counter Up Widget .
 *
 */
class poolax_Counterup extends Widget_Base {

	public function get_name() {
		return 'poolaxcounterup';
	}
	public function get_title() {
		return __( 'Counter Up', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'counter_section',
			[
				'label' 	=> __( 'Counter Up', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2' 		=> __( 'Style Two', 'poolax' ),
					'3' 		=> __( 'Style Three', 'poolax' ),
					'4' 		=> __( 'Style Four', 'poolax' ),
					'5' 		=> __( 'Style Five', 'poolax' ),
					'6' 		=> __( 'Style Six', 'poolax' ),
					'7' 		=> __( 'Style Seven', 'poolax' ),
				],
			]
		);   

		poolax_media_fields( $this, 'bg', 'Choose background' , ['4', '7']);
		poolax_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Elevating Indoor Pool Experiences', ['5'] );
		poolax_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['5'] );
		poolax_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Discover More', ['5'] );
		poolax_url_fields( $this, 'button_url', 'Button URL', '#', ['5'] );
		poolax_media_fields( $this, 'image', 'Choose Image', ['5'] );

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'counter_number', 'Counter Number', 'TEXT', '25');
		poolax_general_fields($repeater, 'counter_number_after', 'Counter Number After', 'TEXT', '');
		poolax_general_fields($repeater, 'counter_text', 'Counter Text', 'TEXT', 'Project Completed');

		$this->add_control(
			'counter_list',
			[
				'label' 		=> __( 'Counter', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'counter_text' 		=> __( 'Counter One', 'poolax' ),
					],
				],
				// 'condition'	=> [
				// 	'layout_style' => ['1', '2'],
				// ]
			]
		);

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		//-------Number Style-------
		poolax_common_style_fields($this, 'number', 'Number', '{{WRAPPER}} .counter', ['1', '2', '3', '4', '5', '7']);
		poolax_common_style_fields($this, 'number2', 'Number', '{{WRAPPER}} .counter', ['6'], '--title-color');
		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .th-text');

		poolax_common_style_fields($this, 'title22', 'Title', '{{WRAPPER}} .sec-title', ['5'] );
		poolax_common_style_fields($this, 'desc22', 'Description', '{{WRAPPER}} .desc', ['5'] );
		poolax_button_style_fields($this, '12', 'Button Styling', '{{WRAPPER}} .th_btn', ['5']);
		

	}

	protected function render() {

	$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="counter-sec style2">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup counter-box style2">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-box_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="counter-sec style3">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup wow fadeInLeft">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="counter-sec style4" data-bg-src="'.esc_url($settings['bg']['url']).'">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup wow fadeInLeft">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';
		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class=" z-index-common">';
				echo '<div class="counter-sec5">';
					echo '<div class="container th-container">';
						echo '<div class="counter5-wrapper">';
							echo '<div class="counter-title-area">';
								echo '<div class="title-area mb-40">';
									if(!empty($settings['title'])){
										echo '<h3 class="sec-title">'.wp_kses_post($settings['title']).'</h3>';
									}
									if(!empty($settings['desc'])){
										echo '<p class="counter-text desc">'.wp_kses_post($settings['desc']).'</p>';
									}
								echo '</div>';
								if(!empty($settings['button_text'])){
									echo '<div class="btn-group justify-content-center justify-content-xl-start">';
										echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
									echo '</div>';
								}
							echo '</div>';
							echo '<div class="counter-area5">';
								foreach( $settings['counter_list'] as $data ){
									echo '<div class="th-counterup wow fadeInLeft">';
										echo '<div class="inner">';
											echo '<div class="content">';
												if(!empty($data['counter_number'])){
													echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
														echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
													echo '</h3>';
												}
												if(!empty($data['counter_text'])){
													echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
												}
											echo '</div>';
										echo '</div>';
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				echo '</div>';
				if(!empty( $settings['image']['url'])){
					echo '<div class="shape-mockup counter-shape1" data-top="0%" data-right="0%">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '6' ){
			echo '<div class="counter-sec style5">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '7' ){
			echo '<div class="counter-sec style6" data-bg-src="'.esc_url($settings['bg']['url']).'">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup wow fadeInLeft">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-card_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}else{
			echo '<div class="counter-sec">';
				foreach( $settings['counter_list'] as $data ){
					echo '<div class="th-counterup wow fadeInLeft">';
						echo '<div class="inner">';
							echo '<div class="content">';
								if(!empty($data['counter_number'])){
									echo '<h3 class="counter"><span class="odometer" data-count="'.wp_kses_post( $data['counter_number'] ).'">00</span>';
										echo '<span class="counter-number">'.wp_kses_post( $data['counter_number_after'] ).'</span>';
									echo '</h3>';
								}
								if(!empty($data['counter_text'])){
									echo '<p class="counter-box_text th-text">'.wp_kses_post( $data['counter_text'] ).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}

	
	}

}