<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Box_Shadow;
/**
 *
 * Download Button Widget .
 *
 */
class poolax_Download_Button extends Widget_Base {

	public function get_name() {
		return 'poolaxdownloadbutton';
	}
	public function get_title() {
		return __( 'Download Button', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'button_section',
			[
				'label' 	=> __( 'Download Button', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
				],
			]
		);

		poolax_general_fields($this, 'title', 'Title', 'TEXT', 'All Services');
		poolax_general_fields($this, 'button_text', 'Button Text', 'TEXTAREA', 'DOWNLOAD PDF');
		poolax_url_fields($this, 'button_url', 'Button URL');
		poolax_general_fields($this, 'button_text2', 'Button Text 2', 'TEXTAREA', 'DOWNLOAD DOC');
		poolax_url_fields($this, 'button_url2', 'Button URL 2');

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .widget_title');
		//------Button Style-------
		poolax_button_style_fields($this, '12', 'Button Styling', '{{WRAPPER}} .th_btn');
		//------Button Style 2-------
		poolax_button_style_fields($this, '13', 'Button Styling', '{{WRAPPER}} .th_btn2');

    }

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){

		}else{
			echo '<div class="widget widget_download  ">';
				if(!empty($settings['title'])){
					echo '<h4 class="widget_title">'.wp_kses_post($settings['title']).'</h4>';
				}
				echo '<div class="download-widget-wrap">';
					echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post( $settings['button_text'] ).'</a>';
					echo '<a href="'.esc_url( $settings['button_url2']['url'] ).'" class="th-btn th_btn2 style2">'.wp_kses_post( $settings['button_text2'] ).'</a>';
				echo '</div>';
			echo '</div>';

		}
    

	}

}