<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * features Widget .
 *
 */
class Poolax_Features extends Widget_Base {

	public function get_name() {
		return 'poolaxfeatures';
	}
	public function get_title() {
		return __( 'features', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'arrow_section',
			[
				'label'     => __( 'features', 'poolax' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2' 		=> __( 'Style Two', 'poolax' ),
					'3' 		=> __( 'Style Three', 'poolax' ),
					'4' 		=> __( 'Style Four', 'poolax' ),
					'5' 		=> __( 'Style Five', 'poolax' ),
					'6' 		=> __( 'Style Six', 'poolax' ),
					'7' 		=> __( 'Style Seven', 'poolax' ),
					'8' 		=> __( 'Style Eight', 'poolax' ),
					'9' 		=> __( 'Style Nine', 'poolax' ),
					'10' 		=> __( 'Style Ten', 'poolax' ),
					'11' 		=> __( 'Style Eleven', 'poolax' ),
					'12' 		=> __( 'Style Twelve', 'poolax' ),
				],
			]
		);
	
		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'About Us');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');

		$this->add_control(
			'features_list',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Experienced Technicians', 'poolax' ),
						'desc' 		=> __( 'Our team consists of certified and experienced pool technicians who are knowledgeable.', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '6', '8', '10', '11'],
				]
			]
		);
			
		$repeater = new Repeater();

		poolax_general_fields($repeater, 'icon', 'Icon', 'TEXT', '<i class="fa-solid fa-check-double"></i>');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Personalized Service');

		$this->add_control(
			'features_list2',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Personalized Service', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['2', '5'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');
		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Residential Pool Service');
		poolax_general_fields($repeater, 'desc', 'Subtitle', 'TEXTAREA', 'Ask about the types and brands of chemicals and products.');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Make An Appointment');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'features_list3',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Experienced Technicians', 'poolax' ),
						'desc' 		=> __( 'Our team consists of certified and experienced pool technicians who are knowledgeable.', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'number', 'Number', 'TEXT', '85');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Customized Solutionse');
		poolax_general_fields($repeater, 'desc', 'Subtitle', 'TEXTAREA', 'We understand that every pool is unique.');

		$this->add_control(
			'features_list4',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Customized Solutionse', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['4'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Customized Solutionse');

		$this->add_control(
			'features_list7',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Customized Solutionse', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['7'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'icon', 'Icon', 'TEXT', '<i class="fa-solid fa-check-double"></i>');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXTAREA', 'Personalized Service');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', 'Personalized Service');

		$this->add_control(
			'features_list9',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Personalized Service', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['9'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Residential Pool Service');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'features_list12',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Experienced Technicians', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['12'],
				]
			]
		);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------	

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .th-title');
		//-------Description Style-------
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .th-desc', ['1', '6', '8', '10']);


	}

	protected function render() {

    $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="info-media_wrapp">';
				foreach( $settings['features_list2'] as $data ){
					echo '<div class="info-media">';
						if(!empty($data['icon'])){
							echo '<div class="info-media_icon">';
								echo wp_kses_post($data['icon']);
							echo '</div>';
						}
						if(!empty($data['title'])){
							echo '<div class="media-body">';
								echo '<h3 class="h6 info-media_title th-title">'.wp_kses_post($data['title']).'</h3>';
							echo '</div>';
						}
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="row gy-4 justify-content-center">';
				foreach( $settings['features_list3'] as $data ){
					echo '<div class="col-md-6 col-lg-4">';
						echo '<div class="feature-card wow fadeInUp">';
							echo '<div class="feature-card_img global-img">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['image']['url'] ),
								));
							echo '</div>';
							echo '<div class="feature-card_content">';
								echo '<div class="feature-card_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
								if(!empty($data['title'])){
									echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="feature-card_text th-desc">'.wp_kses_post($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="row gy-4 justify-content-center">';
				foreach( $settings['features_list4'] as $data ){
					echo '<div class="col-md-6 col-lg-4">';
						echo '<div class="feature-circle">';
							echo '<div class="progressbar">';
								if(!empty($data['number'])){
									echo '<div class="circle" data-percent="'.esc_attr($data['number']).'">';
										echo '<div class="circle-num"></div>';
									echo '</div>';
								}
								echo '<div class="feature-circle_content">';
									if(!empty($data['title'])){
										echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
									}
									if(!empty($data['desc'])){
										echo '<p class="feature-circle_text th-desc">'.wp_kses_post($data['desc']).'</p>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="info-media_wrapp">';
				foreach( $settings['features_list2'] as $data ){
					echo '<div class="info-media style2">';
						if(!empty($data['icon'])){
							echo '<div class="info-media_icon">';
								echo wp_kses_post($data['icon']);
							echo '</div>';
						}
						if(!empty($data['title'])){
							echo '<div class="media-body">';
								echo '<h3 class="h6 info-media_title th-title">'.wp_kses_post($data['title']).'</h3>';
							echo '</div>';
						}
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '6' ){
			echo '<div class="service-feature-wrap">';
				foreach( $settings['features_list'] as $data ){
					echo '<div class="service-feature style2">';
						if(!empty($data['icon']['url'])){
							echo '<div class="service-feature_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								));
							echo '</div>';
						}
						echo '<div class="service-feature_conten">';
							if(!empty($data['title'])){
								echo '<h4 class="service-feature_title th-title">'.wp_kses_post($data['title']).'</h4>';
							}
							if(!empty($data['desc'])){
								echo '<p class="service-feature_text th-desc">'.wp_kses_post($data['desc']).'</p>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '7' ){
			echo '<div class="row gy-4  justify-content-center">';
				foreach( $settings['features_list7'] as $data ){
				echo '<div class="col-md-6 col-xl-3">';
					echo '<div class="feature-block wow fadeInUp">';
						if(!empty($data['icon']['url'])){
							echo '<div class="feature-block_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								));
							echo '</div>';
						}
                        echo '<div class="media-body">';
							if(!empty($data['title'])){
								echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
							}
                        echo '</div>';
                        echo '<div class="animation-bubble style3">
                            <div class="bubble-1"></div>
                            <div class="bubble-2"></div>
                            <div class="bubble-3"></div>
                            <div class="bubble-4"></div>
                            <div class="bubble-5"></div>
                            <div class="bubble-6"></div>
                            <div class="bubble-7"></div>
                            <div class="bubble-8"></div>
                            <div class="bubble-9"></div>
                            <div class="bubble-10"></div>
                        </div>';
                    echo '</div>';
				echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '8' ){
			echo '<div class="row gy-4  justify-content-center">';
				foreach( $settings['features_list'] as $data ){
					echo '<div class="col-md-6 col-lg-4">';
						echo '<div class="feature-grid wow fadeInUp">';
							if(!empty($data['icon']['url'])){
								echo '<div class="feature-grid_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="media-body">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="feature-grid_text th-desc">'.wp_kses_post($data['desc']).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '9' ){
			echo '<div class="why-media_wrapper">';
				foreach( $settings['features_list9'] as $data ){
					echo '<div class="why-media">';
						echo '<div class="why-media_content">';
							if(!empty($data['icon'])){
								echo '<div class="why-media_icon">';
									echo wp_kses_post($data['icon']);
								echo '</div>';
							}
							if(!empty($data['title'])){
								echo '<h4 class="box-title th-title">'.wp_kses_post($data['title']).'</h4>';
							}
						echo '</div>';
						if(!empty($data['desc'])){
							echo '<div class="checklist style4">';
								echo wp_kses_post($data['desc']);
							echo '</div>';
							}
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '10' ){
			echo '<div class="achive-about-wrap style2">';
				foreach( $settings['features_list'] as $data ){
					echo '<div class="achive-about style2">';
						echo '<div class="achive-about_content">';
							if(!empty($data['icon']['url'])){
								echo '<div class="achive-about_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							if(!empty($data['title'])){
								echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
							}
						echo '</div>';
						if(!empty($data['desc'])){
							echo '<div class="media-body">';
								echo '<p class="achive-about_text th-desc">'.wp_kses_post($data['desc']).'</p>';
							echo '</div>';
						}
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '11' ){
			echo '<div class="choose-about-wrap">';
				foreach( $settings['features_list'] as $data ){
					echo '<div class="choose-about wow fadeInUp">';
						if(!empty($data['icon']['url'])){
							echo '<div class="choose-about_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								));
							echo '</div>';
						}
						echo '<div class="media-body">';
							if(!empty($data['title'])){
								echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
							}
							if(!empty($data['desc'])){
								echo '<p class="choose-about_text th-desc">'.wp_kses_post($data['desc']).'</p>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '12' ){
			echo '<div class="row slider-shadow serviceslider8 number-dots th-carousel" id="serviceSlide5" data-slide-show="5" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1" data-dots="true">';
				foreach( $settings['features_list12'] as $data ){
					echo '<div class="col-md-6 col-lg-6 col-xl-4">';
						echo '<div class="service-box-3">';
							if(!empty($data['icon']['url'])){
								echo '<div class="service-box-3_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							if(!empty($data['title'])){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
							}
							if(!empty($data['button_url']['url'])){
								echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="icon-btn"><i class="fa-regular fa-arrow-right"></i></a>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}else{
			echo '<div class="row gy-4  justify-content-center">';
				foreach( $settings['features_list'] as $data ){
					echo '<div class="col-md-6 col-lg-4">';
						echo '<div class="feature-item wow fadeInUp">';
							if(!empty($data['icon']['url'])){
								echo '<div class="feature-item_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="media-body">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="feature-item_text th-desc">'.wp_kses_post($data['desc']).'</p>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}

			
	}
}