<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Background;
/**
 * 
 * Footer Widgets .
 *
 */
class Poolax_Footer_Widgets extends Widget_Base {

	public function get_name() {
		return 'poolaxfooterwidgets';
	}
	public function get_title() {
		return __( 'Footer Widgets', 'poolax' ); 
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
			'layout_section',
			[
				'label'     => __( 'Footer Widget Style', 'poolax' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		poolax_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One' ] );

		poolax_general_fields( $this, 'title', 'Title', 'TEXT', 'Title', ['1'] );

        poolax_general_fields( $this, 'gallery_icon', 'Gallery Icon', 'TEXTAREA2', '<i class="fab fa-instagram"></i>', '1' );

		$this->add_control(
			'gallery',
			[
				'label' => esc_html__( 'Add Gallery Slider', 'poolax' ),
				'type' => \Elementor\Controls_Manager::GALLERY,
				'default' => [],
			]
		);


        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title', [ '1' ] );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
            echo '<div class="widget footer-widget">';
                if($settings['title']){
                    echo '<h3 class="widget_title title">'.wp_kses_post($settings['title']).'</h3>';
                }
                echo '<div class="sidebar-gallery style2">';
                    foreach ( $settings['gallery'] as $data ){
                    echo '<div class="gallery-thumb">';
                        echo poolax_img_tag( array(
                            'url'   => esc_url( $data['url'] ),
                        ));
                        echo '<a href="'.esc_url( $data['url'] ).'" class="gallery-btn popup-image">'.wp_kses_post($settings['gallery_icon']).'</a>';
                    echo '</div>';
                    }
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){


		}
	

	}
}
						