<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Info Box Widget .
 *
 */
class poolax_Info_Box extends Widget_Base {

	public function get_name() {
		return 'poolaxinfobox';
	}
	public function get_title() {
		return __( 'Info Box', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Info Box', 'poolax' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'poolax' ),											
					'2'  		=> __( 'Style Two', 'poolax' ),											
					'3'  		=> __( 'Style Three', 'poolax' ),											
					'4'  		=> __( 'Style Four', 'poolax' ),											
					'5'  		=> __( 'Style Five', 'poolax' ),											
					'6'  		=> __( 'Style Six', 'poolax' ),											
					'7'  		=> __( 'Style Seven', 'poolax' ),											
				],
			]
		);

		poolax_code_fields($this, 'features', 'Features', ['1', '2']);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Our Mission');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', '');

		$this->add_control(
			'info_lists',
			[
				'label' 		=> __( 'Info List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Our Mission', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Our Mission');

		$this->add_control(
			'info_lists2',
			[
				'label' 		=> __( 'Info List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Our Mission', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['4'],
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Choose Image');

		$this->add_control(
			'info_lists5',
			[
				'label' 		=> __( 'Image List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'condition'	=> [
					'layout_style' => ['5'],
				]
			]
		);

		poolax_general_fields( $this, 'icon', 'Icon', 'TEXTAREA2', '', ['7'] );
		poolax_general_fields( $this, 'title2', 'Title', 'TEXTAREA2', 'Description', ['5', '7'] );
		poolax_general_fields( $this, 'desc', 'Description', 'TEXTAREA', 'Description', ['4', '5', '6', '7'] );
		poolax_media_fields( $this, 'image', 'Choose Image', ['5', '6']);
		poolax_media_fields( $this, 'image2', 'Choose Image', ['6']);
		poolax_general_fields( $this, 'name', 'Name', 'TEXTAREA2', 'Marvin McKinney', ['6'] );
		poolax_general_fields( $this, 'desig', 'Designation', 'TEXTAREA2', 'Founder', ['6'] );

		poolax_general_fields($this, 'button_text', 'Button Text', 'TEXT', 'Button Text', ['1', '2', '3', '4', '5', '7'] );
		poolax_url_fields($this, 'button_url', 'Button URL', '', ['1', '2', '3', '4', '5', '7']);
		poolax_code_fields($this, 'features2', 'Info', ['1', '2', '4']);

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .th-title', ['3', '4', '5', '7']);
		//-------Description Style-------
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .th-desc', ['3', '4', '5', '6', '7']);

		poolax_common_style_fields($this, 'name1', 'Name', '{{WRAPPER}} .title', ['6']);
		poolax_common_style_fields($this, 'desig1', 'Designation', '{{WRAPPER}} .desig', ['6']);
		//------Button Style-------
		poolax_button_style_fields($this, '10', 'Button Styling', '{{WRAPPER}} .th_btn', ['1', '2', '3', '4', '5', '7']);
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

			if( $settings['layout_style'] == '2' ){
				if(!empty($settings['features'])){
					echo '<div>';
						echo wp_kses_post($settings['features']);
					echo '</div>';
				}
				echo '<div class="btn-group justify-content-start">';
					if(!empty($settings['button_text'])){
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
					}
					if(!empty($settings['features2'])){
						echo '<div class="checklist">';
							echo wp_kses_post($settings['features2']);
						echo '</div>';
					}
				echo '</div>';
				
			}elseif( $settings['layout_style'] == '3' ){
				echo '<div class="achive-about-wrap">';
					foreach( $settings['info_lists'] as $data ){
						echo '<div class="achive-about">';
							if(!empty($data['icon']['url'])){
								echo '<div class="achive-about_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url'] ),
									));
								echo '</div>';
							}
							echo '<div class="media-body">';
								if(!empty($data['title'])){
									echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
								}
								if(!empty($data['desc'])){
									echo '<p class="achive-about_text th-desc">'.wp_kses_post($data['desc']).'</p>';
								}
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				if(!empty($settings['button_text'])){
					echo '<div class="btn-group mt-40">';
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn radius-none">'.wp_kses_post($settings['button_text']).'</a>';
					echo '</div>';
				}


			}elseif( $settings['layout_style'] == '4' ){
				echo '<div class="achive-about-wrap style2">';
					foreach( $settings['info_lists2'] as $data ){
					echo '<div class="achive-about">';
						if(!empty($data['icon']['url'])){
							echo '<div class="achive-about_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								));
							echo '</div>';
						}
						echo '<div class="media-body">';
							if(!empty($data['title'])){
								echo '<h3 class="box-title th-title">'.wp_kses_post($data['title']).'</h3>';
							}
						echo '</div>';
					echo '</div>';
					}
				echo '</div>';
				if(!empty($settings['desc'])){
					echo '<p class="mb-40 th-desc">'.wp_kses_post($settings['desc']).'</p>';
				}
				echo '<div class="btn-group justify-content-start">';
					if(!empty($settings['button_text'])){
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
					}
					if(!empty($settings['features2'])){
						echo '<div class="feature-wrapper style2">';
							echo wp_kses_post($settings['features2']);
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '5' ){
				echo '<div class="about-area_wrapper">';
					echo '<div class="about-client-box">';
						echo '<div class="client-thumb-group">';
						foreach( $settings['info_lists5'] as $data ){
							if(!empty($data['image']['url'])){
								echo '<div class="thumb">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['image']['url'] ),
									));
								echo '</div>';
							}
						}
						echo '</div>';
					echo '</div>';
					echo '<div class="about-counter">';
						if(!empty($settings['title2'])){
							echo '<h2 class="box-title mb-0 th-title">'.wp_kses_post($settings['title2']).'</h2>';
						}
						if(!empty($settings['desc'])){
							echo '<span class="th-desc">'.wp_kses_post($settings['desc']).'</span>';
						}
					echo '</div>';
					if(!empty($settings['image']['url'])){
						echo '<div class="about-signature">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ),
							));
						echo '</div>';
					}
				echo '</div>';
				if(!empty($settings['button_text'])){
					echo '<div class="btn-group justify-content-start">';
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
					echo '</div>';
				}

			}elseif( $settings['layout_style'] == '6' ){
				if(!empty($settings['desc'])){
					echo '<p class="ser-text th-desc">'.wp_kses_post($settings['desc']).'</p>';
				}
				echo '<div class="service-area-wrapper">';
					echo '<div class="service-profile">';
						if(!empty($settings['image']['url'])){
							echo '<div class="service-avater">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $settings['image']['url'] ),
								));
							echo '</div>';
						}
						echo '<div class="media-body">';
							if(!empty($settings['name'])){
								echo '<h5 class="title">'.wp_kses_post($settings['name']).'</h5>';
							}
							if(!empty($settings['desig'])){
								echo '<span class="desig">'.wp_kses_post($settings['desig']).'</span>';
							}
						echo '</div>';
					echo '</div>';
					if(!empty($settings['image2']['url'])){
						echo '<div class="service-signature">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $settings['image2']['url'] ),
							));
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '7' ){
				echo '<div class="faq-contact-area">';
					echo '<div class="faq-contact_wrapp">';
						if(!empty($settings['icon'])){
							echo '<div class="faq-contact_icon">'.wp_kses_post($settings['icon']).'</div>';
						}
						echo '<div class="faq-contact_content">';
							if(!empty($settings['title2'])){
								echo '<h3 class="box-title th-title">'.wp_kses_post($settings['title2']).'</h3>';
							}
							if(!empty($settings['desc'])){
								echo '<p class="faq-desc th-desc">'.wp_kses_post($settings['desc']).'</p>';
							}
						echo '</div>';
					echo '</div>';
					if(!empty($settings['button_text'])){
						echo '<div class="form-btn">';
							echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn fw-btn border-radius">'.wp_kses_post($settings['button_text']).'</a>';
						echo '</div>';
					}
				echo '</div>';

			}else{
				if(!empty($settings['features'])){
					echo '<div class="checklist style2">';
						echo wp_kses_post($settings['features']);
					echo '</div>';
				}
				echo '<div class="btn-group justify-content-start">';
					if(!empty($settings['button_text'])){
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['button_text']).'</a>';
					}
					if(!empty($settings['features2'])){
						echo '<div class="feature-wrapper">';
							echo wp_kses_post($settings['features2']);
						echo '</div>';
					}
				echo '</div>';

			}

	}

}