<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Marquee Widget .
 *
 */
class poolax_Marquee extends Widget_Base {

	public function get_name() {
		return 'poolaxmarquee';
	}
	public function get_title() {
		return __( 'Marquee', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Marquee', 'poolax' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'poolax' ),																						
				],
			]
		);

        poolax_media_fields( $this, 'image', 'Choose Image', ['1']);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Choose Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Our Mission');

		$this->add_control(
			'info_lists',
			[
				'label' 		=> __( 'Info List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Our Mission', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1'],
				]
			]
		);

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		// poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .th-title', ['1']);
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

			if( $settings['layout_style'] == '1' ){
                echo '<div class="marquee-section bg-theme overflow-hidden" data-bg-src="'.esc_url( $settings['image']['url'] ).'">';
                    echo '<div class="marquee-wrapper">';
                        echo '<div class="marquee">';
                            echo '<div class="marquee-group">';
                                $counter = 1;
                                foreach( $settings['info_lists'] as $data ){
                                    if ($counter % 2 == 1) {
                                        $style = 'style2';
                                    }else{
                                        $style = '';
                                    }
                                    echo '<div class="text '.esc_attr($style).'">';
                                        echo poolax_img_tag( array(
                                            'url'   => esc_url( $data['icon']['url'] ),
                                        ));
                                        echo wp_kses_post($data['title']);
                                    echo '</div>';
                                    $counter++;
                                }
                            echo '</div>';
                            echo '<div aria-hidden="true" class="marquee-group">';
                                $counter = 1;
                                foreach( $settings['info_lists'] as $data ){
                                    if ($counter % 2 == 1) {
                                        $style = 'style2';
                                    }else{
                                        $style = '';
                                    }
                                    echo '<div class="text '.esc_attr($style).'">';
                                        echo poolax_img_tag( array(
                                            'url'   => esc_url( $data['icon']['url'] ),
                                        ));
                                        echo wp_kses_post($data['title']);
                                    echo '</div>';
                                    $counter++;
                                }
                            echo '</div>';
                        echo '</div>';

                    echo '</div>';
                echo '</div>';

			}else{


			}

	}

}