<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Menu Select Widget .
 *
 */
class Poolax_Menu extends Widget_Base {

	public function get_name() {
		return 'poolaxmenuselect';
	}
	public function get_title() {
		return __( 'Menu Select', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Navigation Menu', 'poolax' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Normal Menu', 'poolax' ),
					'2' 		=> __( 'Footer menu', 'poolax' ),
					'3' 		=> __( 'Footer menu 2', 'poolax' ),
					'4' 		=> __( 'Footer menu 3', 'poolax' ),
				],
			]
		);

		poolax_general_fields($this, 'title', 'Title', 'TEXT', 'Title', ['2', '3']);

		$menus = $this->poolax_menu_select();

		if( !empty( $menus ) ){
	        $this->add_control(
				'poolax_menu_select',
				[
					'label'     	=> __( 'Select Poolax Menu', 'poolax' ),
					'type'      	=> Controls_Manager::SELECT,
					'options'   	=> $menus,
					'description' 	=> sprintf( __( 'Go to the <a href="%s" target="_blank">Menus screen</a> to manage your menus.', 'poolax' ), admin_url( 'nav-menus.php' ) ),
				]
			);
		}else {
			$this->add_control(
				'no_menu',
				[
					'type' 				=> Controls_Manager::RAW_HTML,
					'raw' 				=> '<strong>' . __( 'There are no menus in your site.', 'poolax' ) . '</strong><br>' . sprintf( __( 'Go to the <a href="%s" target="_blank">Menus screen</a> to create one.', 'poolax' ), admin_url( 'nav-menus.php?action=edit&menu=0' ) ),
					'separator' 		=> 'after',
					'content_classes' 	=> 'elementor-panel-alert elementor-panel-alert-info',
				]
			);
		}

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .widget_title', ['2', '3']);


	}

    public function poolax_menu_select(){ 
	    $poolax_menu = wp_get_nav_menus();
	    $menu_array  = array();
		$menu_array[''] = __( 'Select A Menu', 'poolax' );
	    foreach( $poolax_menu as $menu ){
	        $menu_array[ $menu->slug ] = $menu->name;
	    }
	    return $menu_array;
	}

	protected function render() {

	$settings = $this->get_settings_for_display();

        //Menu by menu select
        $poolax_avaiable_menu   = $this->poolax_menu_select();

        if( ! $poolax_avaiable_menu ){
            return;
        }
		if( $settings['layout_style'] == '3' ){
			$args = [
				'menu' 		=> $settings['poolax_menu_select'],
				'menu_class' 	=> 'menu style2',
				'container' 	=> '',
			];
		}elseif( $settings['layout_style'] == '4' ){
			$args = [
				'menu' 		=> $settings['poolax_menu_select'],
				'menu_class' 	=> 'footer-menu',
				'container' 	=> '',
			];
		}else{
			$args = [
				'menu' 		=> $settings['poolax_menu_select'],
				'menu_class' 	=> 'menu',
				'container' 	=> '',
			];
		}

        if( $settings['layout_style'] == '2' || $settings['layout_style'] == '3' ){
			echo '<div class="widget widget_nav_menu footer-widget">';
				if( !empty($settings['title']) ){
					echo '<h3 class="widget_title">'.esc_html($settings['title']).'</h3>';
				}
				echo '<div class="menu-all-pages-container">';
						if( ! empty( $settings['poolax_menu_select'] ) ){
							wp_nav_menu( $args );
						} 
				echo '</div>';
            echo '</div>';
            
        }elseif( $settings['layout_style'] == '4' ){
			if( ! empty( $settings['poolax_menu_select'] ) ){
                wp_nav_menu( $args );
            } 
		}else{
            if( ! empty( $settings['poolax_menu_select'] ) ){
                wp_nav_menu( $args );
            } 
        }


	}

}