<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Offer Widget .
 *
 */
class Poolax_Offer extends Widget_Base {

	public function get_name() {
		return 'poolaxoffer';
	}
	public function get_title() {
		return __( 'Offer', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Offer Box', 'poolax' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'poolax' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'poolax' ),						
				],
			]
		);

		poolax_media_fields($this, 'bg', 'Choose Background');
		poolax_media_fields($this, 'logo', 'Choose Logo');

		poolax_general_fields($this, 'title', 'Title', 'TEXT', 'Need Help? We Are Here To Help You');
		poolax_general_fields($this, 'title2', 'Title 2', 'TEXT', 'Poolax Special');
		poolax_general_fields($this, 'desc', 'Description', 'TEXT', 'Save up to 50%');

		poolax_general_fields($this, 'button_text', 'Button Text', 'TEXT', 'Button Text');
		poolax_url_fields($this, 'button_url', 'Button URL');

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .banner-title');
		//-------Title Style-------
		poolax_common_style_fields($this, 'title2', 'Title 2', '{{WRAPPER}} .offer-title');
		//-------Description Style-------
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .offer-text');
		//------Button Style-------
		poolax_button_style_fields($this, '15', 'Button Styling', '{{WRAPPER}} .th_btn');
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        if( $settings['layout_style'] == '2' ){

        }else{
            echo '<div class="widget widget_offer style2" data-bg-src="'.esc_url( $settings['bg']['url'] ).'">';
                echo '<div class="offer-banner">';
                    if(!empty($settings['logo']['url'])){
                        echo '<div class="banner-logo">';
                            echo poolax_img_tag( array(
                                'url'   => esc_url( $settings['logo']['url'] ),
                            ));
                        echo '</div>';
                    }
                    if(!empty($settings['title'])){
                        echo '<h5 class="banner-title">'.wp_kses_post($settings['title']).'</h5>';
                    }
                    echo '<div class="offer">';
                        if(!empty($settings['title2'])){
                            echo '<h6 class="offer-title">'.wp_kses_post($settings['title2']).'</h6>';
                        }
                        if(!empty($settings['desc'])){
                            echo '<p class="offer-text">'.wp_kses_post($settings['desc']).'</p>';
                        }
                    echo '</div>';
                    if(!empty($settings['button_text'])){
                        echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post( $settings['button_text'] ).'</a>';
                    }
                echo '</div>';
            echo '</div>';

        }


	}

}