<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
/**
 *
 * Service List Widget .
 *
 */
class Poolax_Service_List extends Widget_Base{

	public function get_name() {
		return 'poolaxservicelist';
	}
	public function get_title() {
		return __( 'Service List', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'service_list_section',
			[
				'label' 	=> __( 'Service List', 'souler' ),
				'list' 		=> Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
				],
			]
		);

		poolax_general_fields($this, 'title', 'Title', 'TEXT', 'All Services');

		$repeater = new Repeater();

		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Tile & Surface Cleaning');
		poolax_url_fields($repeater, 'button_url', 'URL');

		$this->add_control(
			'service_lists',
			[
				'label' 		=> __( 'Features List', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Tile & Surface Cleaning', 'poolax' ),
					],
				],
			]
		);

        $this->end_controls_section();

		//---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .widget_title');

	}
	
	
	protected function render() {

		$settings = $this->get_settings_for_display();
	
		if( $settings['layout_style'] == '2' ){

		}else{
			echo '<div class="widget widget_categories  ">';
				if(!empty($settings['title'])){
					echo '<h3 class="widget_title">'.wp_kses_post($settings['title']).'</h3>';
				}
				echo '<ul>';
					foreach( $settings['service_lists'] as $data ){
						echo '<li>';
							echo '<a href="'.esc_url( $data['button_url']['url'] ).'">'.wp_kses_post($data['title']).'</a>';
							echo '<i class="fa-regular fa-arrow-right"></i>';
						echo '</li>';
					}
				echo '</ul>';
			echo '</div>';

		}

	}
}