<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Service Widget .
 *
 */
class poolax_Service extends Widget_Base {

	public function get_name() {
		return 'poolaxservice';
	}
	public function get_title() {
		return __( 'Services', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'service_section',
			[
				'label'     => __( 'Services', 'poolax' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Services Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2'  		=> __( 'Style Two', 'poolax' ),
					'3'  		=> __( 'Style Three', 'poolax' ),
					'4'  		=> __( 'Style Four', 'poolax' ),
					'5'  		=> __( 'Style Five', 'poolax' ),
					'6'  		=> __( 'Style Six', 'poolax' ),
					'7'  		=> __( 'Style Seven', 'poolax' ),
					'8'  		=> __( 'Style Eight', 'poolax' ),
					'9'  		=> __( 'Style Nine', 'poolax' ),
					'10'  		=> __( 'Style Ten', 'poolax' ),
				],
			]
		);

		poolax_media_fields($this, 'shape', 'Shape Image', ['1', '2','3','4','5']);
		
		poolax_media_fields($this, 'image', 'Image', ['2']);
		poolax_media_fields($this, 'icon', 'Icon', ['2', '7']);
		poolax_general_fields($this, 'title', 'Title', 'TEXT', 'Pool Cleaning', ['2']);
		poolax_general_fields($this, 'desc', 'Description', 'TEXTAREA', 'For a clean, safe, and inviting pool trust the experts at poolax. and Contact us today.', ['2']);
		poolax_general_fields($this, 'button_text', 'Button Text', 'TEXT', 'Read More', ['2']);
		poolax_url_fields($this, 'button_url', 'Button URL', '',['2']); 

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Image');
		poolax_media_fields($repeater, 'icon', 'Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Pool Cleaning');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', 'For a clean, safe, and inviting pool trust the experts at poolax. and Contact us today.');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Read More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'service_list',
			[
				'label' 		=> __( 'Service Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 	=> __( 'Pool Cleaning', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '5', '6', '7', '8']
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'icon', 'Icon');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Pool Cleaning');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', 'For a clean, safe, and inviting pool trust the experts at poolax. and Contact us today.');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Read More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'service_list2',
			[
				'label' 		=> __( 'Service Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 	=> __( 'Pool Cleaning', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3', '4', '10']
				]
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'image', 'Image');
		poolax_general_fields($repeater, 'title', 'Title', 'TEXT', 'Pool Cleaning');
		poolax_general_fields($repeater, 'desc', 'Description', 'TEXTAREA', 'For a clean, safe, and inviting pool trust the experts at poolax. and Contact us today.');
		poolax_general_fields($repeater, 'button_text', 'Button Text', 'TEXT', 'Read More');
		poolax_url_fields($repeater, 'button_url', 'Button URL');

		$this->add_control(
			'service_list3',
			[
				'label' 		=> __( 'Service Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 	=> __( 'Pool Cleaning', 'poolax' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['9']
				]
			]
		);

		poolax_general_fields( $this, 'before_text', 'Button Before Text', 'TEXT', 'Offering High Quality Pool Services', ['9', '10'] );
		poolax_general_fields( $this, 'btn_text', 'Button Text', 'TEXT', 'Get All Services', ['9', '10'] );
		poolax_url_fields( $this, 'btn_url', 'Button URL', '', ['9', '10'] );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .th-title');
		//-------Description Style-------
		poolax_common_style_fields($this, 'desc', 'Description', '{{WRAPPER}} .th-desc');
		//------Button Style-------
		poolax_button_style_fields($this, '10', 'Button Styling', '{{WRAPPER}} .th_btn');


	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="service-card style1 wow fadeInUp" data-bg-src="'.esc_url($settings['shape']['url']).'">';
				echo '<div class="service-card_img">';
					echo poolax_img_tag( array(
						'url'   => esc_url( $settings['image']['url']  ),
					));
				echo '</div>';
				echo '<div class="service-card_content">';
					echo '<div class="service-card_icon">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $settings['icon']['url']  ),
						));
					echo '</div>';
					if($settings['title']){
						echo '<h3 class="box-title th-title"><a href="'.esc_url( $settings['button_url']['url'] ).'">'.esc_html($settings['title']).'</a></h3>';
					}
					if($settings['desc']){
						echo '<p class="service-card_text th-desc">'.esc_html($settings['desc']).'</p>';
					}
					if(!empty($settings['button_text'])){
						echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($settings['button_text']).'</a>';
					}
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="service-card_wrap">';
				foreach( $settings['service_list2'] as $data ){
					echo '<div class="service-card wow fadeInRight" data-bg-src="'.esc_url($settings['shape']['url']).'">';
						echo '<div class="service-card_content">';
							echo '<div class="service-card_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url']  ),
								));
							echo '</div>';
							if($data['title']){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
							}
							if($data['desc']){
								echo '<p class="service-card_text th-desc">'.esc_html($data['desc']).'</p>';
							}
							if(!empty($data['button_text'])){
								echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($data['button_text']).'</a>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '4' ){
			echo '<div class="row slider-shadow th-carousel" id="serviceSlide" data-slide-show="4" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1">';
				foreach( $settings['service_list2'] as $data ){
					echo '<div class="col-md-6 col-lg-6">';
						echo '<div class="service-item" data-bg-src="'.esc_url($settings['shape']['url']).'">';
							echo '<div class="service-item_content">';
								if(!empty($data['icon']['url'])){
									echo '<div class="service-item_icon">';
										echo poolax_img_tag( array(
											'url'   => esc_url( $data['icon']['url']  ),
										));
									echo '</div>';
								}
								if($data['title']){
									echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if($data['desc']){
									echo '<p class="service-item_text th-desc">'.esc_html($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border radius-none">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="row gy-4">';
				foreach( $settings['service_list'] as $data ){
					echo '<div class="col-md-6 col-lg-6">';
						echo '<div class="service-box style2 wow fadeInUp" data-bg-src="'.esc_url($settings['shape']['url']).'">';
							echo '<div class="service-box_img global-img">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['image']['url']  ),
								));
							echo '</div>';
							echo '<div class="service-box_content">';
								echo '<div class="service-box_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url']  ),
									));
								echo '</div>';
								if($data['title']){
									echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if($data['desc']){
									echo '<p class="service-box_text th-desc">'.esc_html($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';
		}elseif( $settings['layout_style'] == '6' ){
			echo '<div class="row slider-shadow th-carousel" id="serviceSlide4" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-arrows="true">';
				foreach( $settings['service_list'] as $data ){
				echo '<div class="col-md-6 col-lg-6 col-xl-4">';
					echo '<div class="service-block">';
						if(!empty($data['image']['url'])){
						echo '<div class="service-block_img">';
							echo poolax_img_tag( array(
								'url'   => esc_url( $data['image']['url']  ),
							));
						echo '</div>';
						}
						echo '<div class="service-block_content style2">';
							if(!empty($data['icon']['url'])){
							echo '<div class="service-block_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url']  ),
								));
							echo '</div>';
							}
							if($data['title']){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
							}
							if($data['desc']){
								echo '<p class="service-block_text th-desc">'.esc_html($data['desc']).'</p>';
							}
							if(!empty($data['button_text'])){
								echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($data['button_text']).'</a>';
							}
						echo '</div>';
						echo '<div class="service-block_content">';
							if(!empty($data['icon']['url'])){
							echo '<div class="service-block_icon">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['icon']['url']  ),
								));
							echo '</div>';
							}
							if($data['title']){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '7' ){
			echo '<div class="row slider-shadow th-carousel" id="serviceSlide4" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-arrows="true">';
				foreach( $settings['service_list'] as $data ){
					echo '<div class="col-md-6 col-lg-6 col-xl-4">';
						echo '<div class="service-card style2">';
							if(!empty($data['image']['url'])){
								echo '<div class="service-card_img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['image']['url']  ),
									));
								echo '</div>';
							}

							echo '<div class="service-card_content">';
								if(!empty($data['icon']['url'])){
									echo '<div class="box-icon">';
										echo poolax_img_tag( array(
											'url'   => esc_url( $data['icon']['url']  ),
										));
									echo '</div>';
								}
								if($data['title']){
									echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if($data['desc']){
									echo '<p class="service-card_text th-desc">'.esc_html($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($data['button_text']).'</a>';
								}
								if(!empty($settings['icon']['url'])){
									echo '<div class="service-card_shape">';
										echo poolax_img_tag( array(
											'url'   => esc_url( $settings['icon']['url']  ),
										));
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '8' ){
			echo '<div class="service-box-2_wrapp">';
				foreach( $settings['service_list'] as $data ){
					echo '<div class="service-box-2" data-bg-src="'.esc_url( $data['image']['url']  ).'">';
						echo '<div class="service-box-2_content">';
							if(!empty($data['icon']['url'])){
								echo '<div class="service-box-2_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url']  ),
									));
								echo '</div>';
							}
							if($data['title']){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
							}
							if($data['desc']){
								echo '<p class="service-box-2_text th-desc">'.esc_html($data['desc']).'</p>';
							}
							if(!empty($data['button_text'])){
								echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="line-btn th_btn">'.wp_kses_post($data['button_text']).'</a>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '9' ){
			echo '<div class="row slider-shadow th-carousel" id="serviceSlide4" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-arrows="true">';
				foreach( $settings['service_list3'] as $data ){
				echo '<div class="col-md-6 col-lg-6 col-xl-4">';
					echo '<div class="service-card-2">';
						if(!empty($data['image']['url'])){
							echo '<div class="service-card-2_img">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['image']['url']  ),
								));
							echo '</div>';
						}
						echo '<div class="service-card-2_content">';
							if($data['title']){
								echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
							}
							if($data['desc']){
								echo '<p class="service-card-2_text th-desc">'.esc_html($data['desc']).'</p>';
							}
							if(!empty($data['button_text'])){
								echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn style3 border-radius2">'.wp_kses_post($data['button_text']).'</a>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				}
			echo '</div>';

			if( !empty( $settings['before_text'] || $settings['btn_text'] ) ){
				echo '<div class="text-center">';
					echo '<div class="service-btn mt-60">';
						if(!empty($settings['before_text'])){
							echo '<span>'.wp_kses_post($settings['before_text']).'</span>';
						}
						if(!empty($settings['btn_text'])){
							echo '<a href="'.esc_url( $settings['btn_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['btn_text']).'</a>';
						}
					echo '</div>';
				echo '</div>';
			}

		}elseif( $settings['layout_style'] == '10' ){
			echo '<div class="row gy-4">';
				foreach( $settings['service_list2'] as $data ){
					echo '<div class="col-md-6 col-xl-4">';
						echo '<div class="service-item-2">';
							if(!empty($data['icon']['url'])){
								echo '<div class="service-item-2_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url']  ),
									));
								echo '</div>';
							}
							echo '<div class="service-item-2_content">';
								if($data['title']){
									echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if($data['desc']){
									echo '<p class="service-item-2_text th-desc">'.esc_html($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="line-btn th_btn">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

			if( !empty( $settings['before_text'] || $settings['btn_text'] ) ){
				echo '<div class="text-center">';
					echo '<div class="service-btn mt-60">';
						if(!empty($settings['before_text'])){
							echo '<span>'.wp_kses_post($settings['before_text']).'</span>';
						}
						if(!empty($settings['btn_text'])){
							echo '<a href="'.esc_url( $settings['btn_url']['url'] ).'" class="th-btn th_btn">'.wp_kses_post($settings['btn_text']).'</a>';
						}
					echo '</div>';
				echo '</div>';
			}

		}else{
            echo '<div class="row">';
				foreach( $settings['service_list'] as $data ){
					echo '<div class="col-md-6 col-lg-6">';
						echo '<div class="service-box" data-bg-src="'.esc_url($settings['shape']['url']).'">';
							echo '<div class="service-box_img global-img">';
								echo poolax_img_tag( array(
									'url'   => esc_url( $data['image']['url']  ),
								));
							echo '</div>';
							echo '<div class="service-box_content">';
								echo '<div class="service-box_icon">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['icon']['url']  ),
									));
								echo '</div>';
								if($data['title']){
									echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_url']['url'] ).'">'.esc_html($data['title']).'</a></h3>';
								}
								if($data['desc']){
									echo '<p class="service-box_text th-desc">'.esc_html($data['desc']).'</p>';
								}
								if(!empty($data['button_text'])){
									echo '<a href="'.esc_url( $data['button_url']['url'] ).'" class="th-btn th_btn border">'.wp_kses_post($data['button_text']).'</a>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}

	}

}