<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Team Widget .
 *
 */
class poolax_Team extends Widget_Base {

	public function get_name() {
		return 'poolaxteam';
	}
	public function get_title() {
		return __( 'Team', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'team_section',
			[
				'label'     => __( 'Team Content', 'poolax' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2'  		=> __( 'Style Two', 'poolax' ),
					'3'  		=> __( 'Style Three', 'poolax' ),
					'4'  		=> __( 'Style Four', 'poolax' ),
					'5'  		=> __( 'Style Five', 'poolax' ), 
					'6'  		=> __( 'Style Six', 'poolax' ), 
					'7'  		=> __( 'Style Seven', 'poolax' ), 
					'8'  		=> __( 'Style Eight', 'poolax' ), 
					'9'  		=> __( 'Style Nine', 'poolax' ), 
				],
			]
		);

		poolax_switcher_fields( $this, 'make_it_slider', 'Make It Slider?', ['1', '2', '3', '4'] ); 

		poolax_media_fields( $this, 'image', 'Choose Image', ['5', '9'] );
		poolax_general_fields( $this, 'subtitle', 'Subtitle', 'TEXT', 'Refresh, Relax, Rejuvenate', ['5'] );
		poolax_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Pool Perfection Starts Here', ['5'] );
		poolax_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['5'] );
		poolax_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Discover More', ['5'] );
		poolax_url_fields( $this, 'button_url', 'Button URL', '#', ['5'] );

		$repeater = new Repeater(); 

		poolax_media_fields($repeater, 'team_image', 'Member Image');
		poolax_general_fields($repeater, 'name', 'Name', 'TEXT', 'Emanuel Maclin'); 
		poolax_url_fields($repeater, 'profile_url', 'Profile URL');
		poolax_general_fields($repeater, 'designation', 'Designation', 'TEXT', 'Pool Technicia');
		poolax_url_fields($repeater, 'fb_url', 'Facebook URL', 'https://www.facebook.com');
		poolax_url_fields($repeater, 'twitter_url', 'Twitter URL', 'https://www.twitter.com');
		poolax_url_fields($repeater, 'linkedin_url', 'Linkedin URL', 'https://www.linkedin.com');
		poolax_url_fields($repeater, 'instagram_url', 'Instagram URL', 'https://www.instagram.com');
		poolax_url_fields($repeater, 'behance_url', 'Behance URL', 'https://www.behance.net');

		$this->add_control(
			'team_lists',
			[
				'label' 		=> __( 'Member Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'name' 		=> __( 'Emanuel Maclin', 'poolax' ),
					],
				],
				'title_field' 	=> '{{{ name }}}',
				'condition'		=> [ 
					'layout_style!' => ['9']
				],
			]
		);

		$repeater = new Repeater(); 

		poolax_media_fields($repeater, 'team_image', 'Member Image');
		poolax_general_fields($repeater, 'name', 'Name', 'TEXT', 'Emanuel Maclin'); 
		poolax_url_fields($repeater, 'profile_url', 'Profile URL');
		poolax_general_fields($repeater, 'designation', 'Designation', 'TEXT', 'Pool Technicia');

		$this->add_control(
			'team_lists2',
			[
				'label' 		=> __( 'Member Lists', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'name' 		=> __( 'Emanuel Maclin', 'poolax' ),
					],
				],
				'title_field' 	=> '{{{ name }}}',
				'condition'		=> [ 
					'layout_style' => ['9']
				],
			]
		);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		poolax_common_style_fields( $this, 'subtitle2', 'Subtitle', '{{WRAPPER}} .sub-title', ['5'] );
		//-------Title Style-------
		poolax_common_style_fields( $this, 'title2', 'Title', '{{WRAPPER}} .sec-title', ['5'] );
		//-------Description Style-------
		poolax_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .sec-text2', ['5'] );
		//------Button Style-------
		poolax_button_style_fields( $this, '12', 'Button Styling', '{{WRAPPER}} .th_btn', ['5'] );

		//-------Name Style-------
		poolax_common_style_fields($this, 'name', 'Name', '{{WRAPPER}} .box-title');
		//-------Designation Style-------
		poolax_common_style_fields($this, 'desc', 'Designation', '{{WRAPPER}} .team-desig');


	}

	protected function render() {

        $settings = $this->get_settings_for_display();

			if( $settings['layout_style'] == '3' ){
				if($settings['make_it_slider'] == 'yes'){
					echo '<div class="row slider-shadow th-carousel number-dots teamSlide" id="teamSlide1" data-slide-show="4" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="2" data-xs-slide-show="1" data-dots="true">';
				}else{
					echo '<div class="row gy-30">';
				}
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
						echo '<div class="col-sm-6 col-lg-4 col-xxl-3">';
							echo '<div class="th-team team-item wow fadeInUp">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								echo '<div class="team-item_content">';
									if($data['name']){
										echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
									}
									if($data['designation']){
										echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
									}
									echo '<div class="team-social">';
										if( ! empty( $data['fb_url']['url']) ){
											echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
										}
										if( ! empty( $data['twitter_url']['url']) ){
											echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
										}
										if( ! empty( $data['linkedin_url']['url']) ){
											echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
										}
										if( ! empty( $data['instagram_url']['url']) ){
											echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
										}
										if( ! empty( $data['behance_url']['url']) ){
											echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '4' ){
				if($settings['make_it_slider'] == 'yes'){
					echo '<div class="row slider-shadow th-carousel" id="teamSlide2" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-arrows="true">';
				}else{
					echo '<div class="row gy-30">';
				}
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
						echo '<div class="col-sm-6 col-lg-4">';
							echo '<div class="tth-team team-block wow fadeInUp">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								echo '<div class="team-block_wrapper">';
									echo '<div class="team-content">';
										if($data['name']){
											echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
										}
										if($data['designation']){
											echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
										}
									echo '</div>';
									echo '<div class="team-social">';
										echo '<div class="plus-btn"></div>';
										echo '<div class="th-social">';
											if( ! empty( $data['fb_url']['url']) ){
												echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
											}
											if( ! empty( $data['twitter_url']['url']) ){
												echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
											}
											if( ! empty( $data['linkedin_url']['url']) ){
												echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
											}
											if( ! empty( $data['instagram_url']['url']) ){
												echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
											}
											if( ! empty( $data['behance_url']['url']) ){
												echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
			}elseif( $settings['layout_style'] == '5' ){
				echo '<section class="team-area6 bg-title position-relative overflow-hidden space-top">';
					echo '<div class="container">';
						echo '<div class="row">';
							echo '<div class="col-xl-6 align-items-xl-center">';
								echo '<div class="team-content-area text-center text-xl-start">';
									echo '<div class="title-area style3 mb-30">';
										if(!empty($settings['subtitle'])){
											echo '<span class="sub-title style1">'.wp_kses_post($settings['subtitle']).'</span>';
										}
										if(!empty($settings['title'])){
											echo '<h2 class="sec-title">'.wp_kses_post($settings['title']).'</h2>';
										}
										if(!empty($settings['desc'])){
											echo '<p class="sec-text2">'.wp_kses_post($settings['desc']).'</p>';
										}
									echo '</div>';
									if(!empty($settings['button_text'])){
										echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn style6 radius-none">'.wp_kses_post($settings['button_text']).'</a>';
									}
								echo '</div>';
							echo '</div>';
							echo '<div class="col-xl-6">';
								echo '<div class="row slider-shadow th-carousel number-dots teamSlide6" id="teamSlide6" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-dots="true">';
									foreach( $settings['team_lists'] as $data ){
										$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
										$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';
									
										$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
										$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
										$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
										$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
										$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
										$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
										$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
										$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
										$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
										$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
										echo '<div class="col-sm-6 col-lg-4 col-xxl-3">';
											echo '<div class="th-team team-block-2 wow fadeInUp">';
												echo '<div class="team-img">';
													echo poolax_img_tag( array(
														'url'   => esc_url( $data['team_image']['url']  ),
													));
												echo '</div>';
												echo '<div class="team-block-2_content">';
													if($data['name']){
														echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
													}
													if($data['designation']){
														echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
													}
													echo '<div class="team-social">';
														echo '<div class="icon-btn"><i class="fa-light fa-plus"></i></div>';
														echo '<div class="th-social">';
															if( ! empty( $data['fb_url']['url']) ){
																echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
															}
															if( ! empty( $data['twitter_url']['url']) ){
																echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
															}
															if( ! empty( $data['linkedin_url']['url']) ){
																echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
															}
															if( ! empty( $data['instagram_url']['url']) ){
																echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
															}
															if( ! empty( $data['behance_url']['url']) ){
																echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
															}
														echo '</div>';
													echo '</div>';
												echo '</div>';
									
											echo '</div>';
										echo '</div>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
					if(!empty($settings['image']['url'] )){
					echo '<div class="team-shape">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						));
					echo '</div>';
					}
				echo '</section>';

			}elseif( $settings['layout_style'] == '6' ){
				echo '<div class="row slider-shadow th-carousel" id="teamSlide2" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-arrows="true">';
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
						echo '<div class="col-sm-6 col-lg-4">';
							echo '<div class="th-team team-item-2 wow fadeInUp">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								echo '<div class="team-item-2_wrapper">';
									echo '<div class="team-content">';
										if($data['name']){
											echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
										}
										if($data['designation']){
											echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
										}
									echo '</div>';
									echo '<div class="team-social">';
										echo '<div class="plus-btn"><i class="fa-regular fa-arrow-right fa-fw"></i></div>';
										echo '<div class="th-social">';
											if( ! empty( $data['fb_url']['url']) ){
												echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
											}
											if( ! empty( $data['twitter_url']['url']) ){
												echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
											}
											if( ! empty( $data['linkedin_url']['url']) ){
												echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
											}
											if( ! empty( $data['instagram_url']['url']) ){
												echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
											}
											if( ! empty( $data['behance_url']['url']) ){
												echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '7' ){
				echo '<div class="row slider-shadow th-carousel" id="teamSlide2" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-arrows="true">';
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
						echo '<div class="col-sm-6 col-lg-4">';
							echo '<div class="th-team team-card-2 wow fadeInUp">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								echo '<div class="team-card-2_wrapper">';
									echo '<div class="team-content">';
										if($data['name']){
											echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
										}
										if($data['designation']){
											echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
										}
									echo '</div>';
									echo '<div class="team-social">';
										echo '<div class="plus-btn"></div>';
										echo '<div class="th-social">';
											if( ! empty( $data['fb_url']['url']) ){
												echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
											}
											if( ! empty( $data['twitter_url']['url']) ){
												echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
											}
											if( ! empty( $data['linkedin_url']['url']) ){
												echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
											}
											if( ! empty( $data['instagram_url']['url']) ){
												echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
											}
											if( ! empty( $data['behance_url']['url']) ){
												echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '8' ){
				echo '<div class="row slider-shadow th-carousel" id="teamSlide2" data-slide-show="4" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-arrows="true">';
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';
						echo '<div class="col-sm-6 col-lg-4">';
							echo '<div class="team-card-3">';
							echo '<div class="team-img-wrap">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								echo '<div class="th-social">';
									if( ! empty( $data['fb_url']['url']) ){
										echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
									}
									if( ! empty( $data['twitter_url']['url']) ){
										echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
									}
									if( ! empty( $data['linkedin_url']['url']) ){
										echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
									}
									if( ! empty( $data['instagram_url']['url']) ){
										echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
									}
									if( ! empty( $data['behance_url']['url']) ){
										echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
									}
								echo '</div>';
							echo '</div>';
							echo '<div class="team-content">';
								if($data['name']){
									echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
								}
								if($data['designation']){
									echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
								}
							echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';

			}elseif( $settings['layout_style'] == '9' ){
				echo '<div class="team-slide-area">';
					echo '<div class="row slider-shadow teamSlide10 th-carousel" id="teamSlide10" data-slide-show="3" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1" data-arrows="true">';
						foreach( $settings['team_lists2'] as $data ){
							$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
							$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

							echo '<div class="col-sm-6 col-lg-4">';
								echo '<div class="team-box-2">';
									echo '<div class="team-img-wrap">';
										echo '<div class="team-img">';
											echo poolax_img_tag( array(
												'url'   => esc_url( $data['team_image']['url']  ),
											));
										echo '</div>';
									echo '</div>';
									echo '<div class="team-content">';
										if($data['name']){
											echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
										}
										if($data['designation']){
											echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						}
					echo '</div>';
					if(!empty($settings['image']['url'])){
					echo '<div class="team-shape10">';
						echo poolax_img_tag( array(
							'url'   => esc_url( $settings['image']['url']  ),
						));
					echo '</div>';
					}
				echo '</div>';

			}else{
				if( $settings['layout_style'] == '2' ){
					$class = 'team-box';
				}else{
					$class = 'team-card';
				}
				if($settings['make_it_slider'] == 'yes'){
					echo '<div class="row slider-shadow th-carousel teamSlide1" id="teamSlide1" data-slide-show="4" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="2" data-xs-slide-show="1" data-arrows="true">';
				}else{
					echo '<div class="row gy-30">';
				}
				
					foreach( $settings['team_lists'] as $data ){
						$target = $data['profile_url']['is_external'] ? ' target="_blank"' : '';
						$nofollow = $data['profile_url']['nofollow'] ? ' rel="nofollow"' : '';

						$f_target = $data['fb_url']['is_external'] ? ' target="_blank"' : '';
						$f_nofollow = $data['fb_url']['nofollow'] ? ' rel="nofollow"' : '';
						$t_target = $data['twitter_url']['is_external'] ? ' target="_blank"' : '';
						$t_nofollow = $data['twitter_url']['nofollow'] ? ' rel="nofollow"' : '';
						$l_target = $data['linkedin_url']['is_external'] ? ' target="_blank"' : '';
						$l_nofollow = $data['linkedin_url']['nofollow'] ? ' rel="nofollow"' : '';
						$i_target = $data['instagram_url']['is_external'] ? ' target="_blank"' : '';
						$i_nofollow = $data['instagram_url']['nofollow'] ? ' rel="nofollow"' : '';
						$b_target = $data['behance_url']['is_external'] ? ' target="_blank"' : '';
						$b_nofollow = $data['behance_url']['nofollow'] ? ' rel="nofollow"' : '';

						echo '<div class="col-sm-6 col-lg-4 col-xxl-3">';
							echo '<div class="th-team '.esc_attr($class).' wow fadeInUp">';
								echo '<div class="team-img">';
									echo poolax_img_tag( array(
										'url'   => esc_url( $data['team_image']['url']  ),
									));
								echo '</div>';
								if($data['name']){
									echo '<h3 class="box-title"><a href="'.esc_url( $data['profile_url']['url'] ).'">'.esc_html($data['name']).'</a></h3>';
								}
								if($data['designation']){
									echo '<span class="team-desig">'.esc_html($data['designation']).'</span>';
								}
								echo '<div class="team-social">';
									if( ! empty( $data['fb_url']['url']) ){
										echo '<a '.wp_kses_post( $f_nofollow.$f_target ).' href="'.esc_url( $data['fb_url']['url'] ).'"><i class="fab fa-facebook-f"></i></a>';
									}
									if( ! empty( $data['twitter_url']['url']) ){
										echo '<a '.wp_kses_post( $t_nofollow.$t_target ).' href="'.esc_url( $data['twitter_url']['url'] ).'"><i class="fab fa-twitter"></i></a>';
									}
									if( ! empty( $data['linkedin_url']['url']) ){
										echo '<a '.wp_kses_post( $l_nofollow.$l_target ).' href="'.esc_url( $data['linkedin_url']['url'] ).'"><i class="fab fa-linkedin-in"></i></a>';
									}
									if( ! empty( $data['instagram_url']['url']) ){
										echo '<a '.wp_kses_post( $i_nofollow.$i_target ).' href="'.esc_url( $data['instagram_url']['url'] ).'"><i class="fab fa-instagram"></i></a>';
									}
									if( ! empty( $data['behance_url']['url']) ){
										echo '<a '.wp_kses_post( $b_nofollow.$b_target ).' href="'.esc_url( $data['behance_url']['url'] ).'"><i class="fa-brands fa-behance"></i></a>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
			}
	
			
	}
}