<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
/**
 *
 * Testimonial Slider Widget .
 *
 */
class poolax_Testimonial extends Widget_Base{

	public function get_name() {
		return 'poolaxtestimonialslider';
	}
	public function get_title() {
		return __( 'Testimonials', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'testimonial_slider_section',
			[
				'label' 	=> __( 'Testimonial Slider', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2' 		=> __( 'Style Two', 'poolax' ),
					'3' 		=> __( 'Style Three', 'poolax' ),
					'4' 		=> __( 'Style Four', 'poolax' ),
					'5' 		=> __( 'Style Five', 'poolax' ),
					'6' 		=> __( 'Style Six', 'poolax' ),
					'7' 		=> __( 'Style Seven', 'poolax' ),
					'8' 		=> __( 'Style Eight', 'poolax' ),
					'9' 		=> __( 'Style Nine', 'poolax' ),
					'10' 		=> __( 'Style Ten', 'poolax' ),
				],
			]
		);

		poolax_general_fields( $this, 'section_subtitle', 'Subtitle', 'TEXT', 'Subtitle', ['2', '4', '7', '8'] );
		poolax_general_fields( $this, 'section_title', 'Title', 'TEXTAREA', 'Title Here', ['2', '4', '7', '8', '10'] );

		poolax_media_fields( $this, 'quote_image', 'Quote Icon', ['1', '2', '3', '4', '5', '6', '8'] );
		poolax_media_fields( $this, 'shape_image', 'Choose Image', ['6', '7', '8', '10'] );
		poolax_media_fields( $this, 'shape_image2', 'Choose Image', ['7', '8', '10'] );

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'client_image', 'Client Image');
		poolax_general_fields($repeater, 'client_name', 'Client Name', 'TEXT', 'Alex Michel');
		poolax_general_fields($repeater, 'client_desig', 'Client Designation', 'TEXT', 'Ui/Ux Designer');
		poolax_general_fields($repeater, 'client_feedback', 'Client Feedback', 'TEXTAREA', 'Our knowledgeable technicians are happy to provide tips');

		$repeater->add_control(
			'client_rating',
			[
				'label' 	=> __( 'Client Rating', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '5',
				'options' 	=> [
					'one'  		=> __( 'One Star', 'poolax' ),
					'two' 		=> __( 'Two Star', 'poolax' ),
					'three' 	=> __( 'Three Star', 'poolax' ),
					'four' 		=> __( 'Four Star', 'poolax' ),
					'five' 	 	=> __( 'Five Star', 'poolax' ),
				],
			]
		);

		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Slides', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
				],
				'title_field' 	=> '{{{ client_name }}}',
				'condition'		=> [ 
					'layout_style' => ['1', '2', '3', '4', '5', '6', '7', '8', '10']
				],
			]
		);

		$repeater = new Repeater();

		poolax_media_fields($repeater, 'client_image', 'Client Image');
		poolax_general_fields($repeater, 'client_name', 'Client Name', 'TEXT', 'Alex Michel');
		poolax_general_fields($repeater, 'client_desig', 'Client Designation', 'TEXT', 'Ui/Ux Designer');
		poolax_general_fields($repeater, 'client_feedback', 'Client Feedback', 'TEXTAREA', 'Our knowledgeable technicians are happy to provide tips');

		$this->add_control(
			'slides2',
			[
				'label' 		=> __( 'Slides', 'poolax' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
				],
				'title_field' 	=> '{{{ client_name }}}',
				'condition'		=> [ 
					'layout_style' => ['9']
				],
			]
		);

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Subtitle Style-------
		poolax_common_style_fields($this, 'subtitle', 'Subtitle', '{{WRAPPER}} .sub-title', ['2', '4', '7', '8'],'--theme-color');
		//-------Title Style-------
		poolax_common_style_fields($this, 'title', 'Title', '{{WRAPPER}} .sec-title', ['2', '4', '7', '8']);

		//-------Name Style-------
		poolax_common_style_fields($this, 'name', 'Name', '{{WRAPPER}} .th-name');
		//-------Designation Style-------
		poolax_common_style_fields($this, 'designation', 'Designation', '{{WRAPPER}} .th-desig');
		//-------Feedback Style-------
		poolax_common_style_fields($this, 'feedback', 'Feedback', '{{WRAPPER}} .th-text');
		
	}

	protected function render() {

		$settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' || $settings['layout_style'] == '4' ){

			if( $settings['layout_style'] == '4' ){
				$style = 'style2';
			}else{
				$style = '';
			}

			echo '<div class="testi-card_wrapper">';
				echo '<div class="title-area">';
					if(!empty($settings['section_subtitle'])){
						echo '<span class="sub-title style1">'.wp_kses_post( $settings['section_subtitle']).'</span>';
					}
					if(!empty($settings['section_title'])){
						echo '<h2 class="sec-title">'.wp_kses_post( $settings['section_title']).'</h2>';
					}
				echo '</div>';
			echo '</div>';

			echo '<div class="testi-card-slide th-carousel" data-arrows="true" data-xl-arrows="true" data-ml-arrows="true" data-fade="true" data-slide-show="1">';
				foreach( $settings['slides'] as $data ){
					echo '<div>';
						echo '<div class="testi-card '.esc_attr($style).'">';
							if(!empty($data['client_image']['url'])){
								echo '<div class="testi-card_img">';
									echo poolax_img_tag( array(
										'url'	=> esc_url( $data['client_image']['url'] ),
									) );
								echo '</div>';
							}
							echo '<div class="testi-card_content">';
								if(!empty($data['client_feedback'])){
									echo '<p class="testi-card_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
								}
								if(!empty($data['client_name'])){
									echo '<h3 class="testi-card_name th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
								}
								if(!empty($data['client_desig'])){
									echo '<span class="testi-card_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
								}
								echo '<div class="testi-card_review">';
										if( $data['client_rating'] == 'one' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'two' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'three' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'four' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}else{
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
										}
								echo '</div>';
								if(!empty($settings['quote_image']['url'])){
									echo '<div class="testi-quote">';
										echo poolax_img_tag( array(
											'url'	=> esc_url( $settings['quote_image']['url'] ), 
										) ); 
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

			echo '<div class="testi-card-tab style2" data-thnavfor=".testi-card-slide">';
				foreach( $settings['slides'] as $key => $data ){
					$active = ($key == 0) ? 'active' : '';
					echo '<button class="tab-btn '.esc_attr($active).'" type="button">';
						if(!empty($data['client_image']['url'])){
							echo poolax_img_tag( array(
								'url'	=> esc_url( $data['client_image']['url'] ),
							) );
						}
					echo '</button>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
			echo '<div class="row testi-slide2 slider-shadow th-carousel" id="testiSlide1" data-slide-show="3" data-lg-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1">';
				foreach( $settings['slides'] as $data ){
					echo '<div class="col-md-6 col-lg-4">';
						echo '<div class="testi-item">';
							if(!empty($data['client_feedback'])){
								echo '<p class="testi-item_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
							}
							echo '<div class="testi-item_wrapp">';
								if(!empty($data['client_image']['url'])){
									echo '<div class="testi-item_profile">';
										echo poolax_img_tag( array(
											'url'	=> esc_url( $data['client_image']['url'] ),
										) );
									echo '</div>';
								}
								echo '<div class="media-body">';
									if(!empty($data['client_name'])){
										echo '<h5 class="box-title th-name">'.wp_kses_post( $data['client_name'] ).'</h5>';
									}
									if(!empty($data['client_desig'])){
										echo '<span class="testi-item_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
									}
									echo '<div class="star-icon">';
										if( $data['client_rating'] == 'one' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'two' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'three' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'four' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}else{
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
							if(!empty($settings['quote_image']['url'])){
								echo '<div class="testi-quote">';
									echo poolax_img_tag( array(
										'url'	=> esc_url( $settings['quote_image']['url'] ), 
									) ); 
								echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '5' ){
			echo '<div class="row">';
				foreach( $settings['slides'] as $data ){
					echo '<div class="col-lg-6">';
						echo '<div class="testi-grid wow fadeInUp">';
							echo '<div class="testi-grid_wrapper">';
								echo '<div>';
									if(!empty($data['client_image']['url'])){
										echo '<div class="testi-grid_img">';
											echo poolax_img_tag( array(
												'url'	=> esc_url( $data['client_image']['url'] ),
											) );
										echo '</div>';
									}
									echo '<div class="star-icon">';
											if( $data['client_rating'] == 'one' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'two' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'three' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'four' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}else{
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
											}
									echo '</div>';
								echo '</div>';
								echo '<div class="testi-grid_content">';
									if(!empty($data['client_feedback'])){
										echo '<p class="testi-grid_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
									}
									echo '<div class="testi-grid_profile">';
										echo '<div class="media-body">';
											if(!empty($data['client_name'])){
												echo '<h5 class="testi-grid_name th-name">'.wp_kses_post( $data['client_name'] ).'</h5>';
											}
											if(!empty($data['client_desig'])){
												echo '<p class="testi-grid_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</p>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
							if(!empty($settings['quote_image']['url'])){
								echo '<div class="testi-quote">';
									echo poolax_img_tag( array(
										'url'	=> esc_url( $settings['quote_image']['url'] ), 
									) ); 
								echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '6' ){
			echo '<div class="testi-block_wrapper">';
				echo '<div class="testi-block-slide th-carousel" data-fade="true" data-slide-show="1">';
					foreach( $settings['slides'] as $data ){
						echo '<div>';
							echo '<div class="testi-block">';
								if(!empty($settings['quote_image']['url'])){
									echo '<div class="testi-quote">';
										echo poolax_img_tag( array(
											'url'	=> esc_url( $settings['quote_image']['url'] ), 
										) ); 
									echo '</div>';
								}
								echo '<div class="testi-block_review">';
									if( $data['client_rating'] == 'one' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'two' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'three' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'four' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}else{
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
									}
								echo '</div>';
								echo '<div class="testi-block_content">';
									if(!empty($data['client_feedback'])){
										echo '<p class="testi-block_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
									}
									if(!empty($data['client_image']['url'])){
										echo '<div class="testi-block_img">';
											echo poolax_img_tag( array(
												'url'	=> esc_url( $data['client_image']['url'] ),
											) );
										echo '</div>';
									}
									if(!empty($data['client_name'])){
										echo '<h3 class="testi-block_name th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
									}
									if(!empty($data['client_desig'])){
										echo '<span class="testi-block_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				echo '<div class="testi-block-tab" data-thnavfor=".testi-block-slide">';
					foreach( $settings['slides'] as $key => $data ){
						$active = ($key == 0) ? 'active' : '';
						echo '<button class="tab-btn '.esc_attr($active).'" type="button">';
							echo poolax_img_tag( array(
								'url'	=> esc_url( $data['client_image']['url'] ),
							) );
						echo '</button>';
					}
				echo '</div>';
				if(!empty($settings['shape_image']['url'])){
					echo '<div class="testi-block_shape">';
						echo poolax_img_tag( array(
							'url'	=> esc_url( $settings['shape_image']['url'] ), 
						) ); 
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '7' ){
			echo '<div class="testi-sec5 style2 overflow-hidden space" data-bg-src="'.esc_url( $settings['shape_image']['url'] ).'">';
				echo '<div class="container">';
					echo '<div class="testi-area-wrapper">';
						echo '<div class="title-area mb-35">';
							if(!empty($settings['section_subtitle'])){
								echo '<span class="sub-title style1">'.wp_kses_post( $settings['section_subtitle']).'</span>';
							}
							if(!empty($settings['section_title'])){
								echo '<h2 class="sec-title mb-0">'.wp_kses_post( $settings['section_title']).'</h2>';
							}
						echo '</div>';
						echo '<div class="th-carousel testi-area5 number-dots" id="testiSlide" data-slide-show="1" data-dots="true" data-xl-dots="true" data-ml-dots="true" data-lg-dots="true" data-md-dots="true" data-fade="true">';
							foreach( $settings['slides'] as $data ){
							echo '<div class="col-md-6 col-lg-4">';
								echo '<div class="testi-item style3">';
									if(!empty($data['client_feedback'])){
										echo '<p class="testi-item_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
									}
									echo '<div class="testi-item_content">';
										echo '<div class="testi-item_wrapp">';
											if(!empty($data['client_image']['url'])){
												echo '<div class="testi-item_profile">';
													echo poolax_img_tag( array(
														'url'	=> esc_url( $data['client_image']['url'] ),
													) );
												echo '</div>';
											}
											echo '<div class="media-body">';
												if(!empty($data['client_name'])){
													echo '<h3 class="box-title th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
												}
												if(!empty($data['client_desig'])){
													echo '<span class="testi-item_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
												}
											echo '</div>';
										echo '</div>';
										echo '<div class="star-icon">';
											if( $data['client_rating'] == 'one' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'two' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'three' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'four' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}else{
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
											}
										echo '</div>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				if(!empty($settings['shape_image2']['url'])){
					echo '<div class="testimonial-image-1">';
						echo poolax_img_tag( array(
							'url'	=> esc_url( $settings['shape_image2']['url'] ), 
						) ); 
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '8' ){
			echo '<div class="testi-sec5 overflow-hidden space" data-bg-src="'.esc_url( $settings['shape_image']['url'] ).'">';
				echo '<div class="container">';
					echo '<div class="testi-block-2-area">';
						echo '<div class="title-area">';
							if(!empty($settings['section_subtitle'])){
								echo '<span class="sub-title">'.wp_kses_post( $settings['section_subtitle']).'</span>';
							}
							if(!empty($settings['section_title'])){
								echo '<h2 class="sec-title">'.wp_kses_post( $settings['section_title']).'</h2>';
							}
						echo '</div>';
						echo '<div class="testi-block-2-tab wow fadeInUp" data-thnavfor=".testi-block-2-slide">';
							foreach( $settings['slides'] as $key => $data ){
								$active = ($key == 0) ? 'active':'';
								echo '<button class="tab-btn '.esc_attr($active).'" type="button">';
									if(!empty($data['client_image']['url'])){
											echo poolax_img_tag( array(
												'url'	=> esc_url( $data['client_image']['url'] ),
											) );
									}
								echo '</button>';
							}
						echo '</div>';
						echo '<div class="testi-block-2-slide  th-carousel" id="testiSlide4" data-arrows="true" data-xl-arrows="true" data-ml-arrows="true" data-fade="true" data-slide-show="1" data-dots="true">';
							foreach( $settings['slides'] as $data ){
							echo '<div>';
								echo '<div class="testi-block-2">';
									echo '<div class="testi-block-2_content wow fadeInUp">';
										if(!empty($settings['quote_image']['url'])){
											echo '<div class="testi-block-2_icon">';
												echo poolax_img_tag( array(
													'url'	=> esc_url( $settings['quote_image']['url'] ), 
												) ); 
											echo '</div>';
										}
										if(!empty($data['client_feedback'])){
											echo '<p class="testi-block-2_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
										}
										echo '<div class="testi-card_review">';
											if( $data['client_rating'] == 'one' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'two' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'three' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}elseif( $data['client_rating'] == 'four' ){
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-regular fa-star"></i>';
											}else{
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
												echo '<i class="fa-solid fa-star"></i>';
											}
									echo '</div>';
										if(!empty($data['client_name'])){
											echo '<h3 class="testi-block-2_name th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
										}
										if(!empty($data['client_desig'])){
											echo '<span class="testi-block-2_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				if(!empty($settings['shape_image2']['url'])){
					echo '<div class="testimonial-image-2">';
						echo poolax_img_tag( array(
							'url'	=> esc_url( $settings['shape_image2']['url'] ), 
						) ); 
					echo '</div>';
				}
			echo '</div>';

		}elseif( $settings['layout_style'] == '9' ){
			echo '<div class="testi-slide-area">';
				echo '<div class="testi-card-2-slide number-dots th-carousel" id="testiSlide7" data-fade="true" data-dots="true">';
					foreach( $settings['slides2'] as $data ){
						echo '<div>';
							echo '<div class="testi-card-2">';
								echo '<div class="testi-card-2_content">';
									if(!empty($data['client_feedback'])){
										echo '<p class="testi-card-2_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
									}
									echo '<div class="testi-card-2_wrapp">';
										if(!empty($data['client_name'])){
											echo '<h3 class="testi-block-2_name th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
										}
										if(!empty($data['client_desig'])){
											echo '<span class="testi-card-2_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
										}
									echo '</div>';
								echo '</div>';
								if(!empty($data['client_image']['url'])){
									echo '<div class="testi-card-2_img">';
										echo poolax_img_tag( array(
											'url'	=> esc_url( $data['client_image']['url'] ), 
										) ); 
									echo '</div>';
								}
							echo '</div>';
						echo '</div>';
					}
				echo '</div>';
				echo '<div class="testi-shape">';
					echo '<img src="'.POOLAX_ASSETS.'img/testi-shape.png" alt="'.esc_attr__('Shape', 'poolax').'">';
				echo '</div>';
				echo '<div class="testi-shape2"></div>';
				echo '<div class="icon-box">';
					echo '<button data-slick-next="#testiSlide7" class="slick-arrow default"><i class="fa-regular fa-angle-left"></i></button>';
					echo '<button data-slick-next="#testiSlide7" class="slick-arrow default"><i class="fa-solid fa-angle-right"></i></button>';
				echo '</div>';
			echo '</div>';

		}elseif( $settings['layout_style'] == '10' ){
			echo '<div class="testi-area10 position-relative overflow-hidden space" data-bg-src="'.esc_url( $settings['shape_image']['url'] ).'">';
				echo '<div class="container">';
					echo '<div class="row">';
						echo '<div class="col-lg-12">';
							echo '<div class="testi-slide-area10">';
								echo '<div class="testi-card3-slide" id="testiSlide8">';
								foreach( $settings['slides'] as $data ){
									echo '<div>';
										echo '<div class="testi-card-3">';
											if(!empty($data['client_image']['url'])){
												echo '<div class="testi-card-3_img">';
												echo poolax_img_tag( array(
													'url'	=> esc_url( $data['client_image']['url'] ),
												) );
												echo '</div>';
											}
											echo '<div class="testi-card-3_content">';
												if(!empty($data['client_name'])){
													echo '<h3 class="testi-card-3_name th-name">'.wp_kses_post( $data['client_name'] ).'</h3>';
												}
												if(!empty($data['client_desig'])){
													echo '<span class="testi-card-3_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
												}
												echo '<div class="star-icon">';
													if( $data['client_rating'] == 'one' ){
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
													}elseif( $data['client_rating'] == 'two' ){
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
													}elseif( $data['client_rating'] == 'three' ){
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
													}elseif( $data['client_rating'] == 'four' ){
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-regular fa-star"></i></a>';
													}else{
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
														echo '<a href="#"><i class="fa-solid fa-star"></i></a>';
													}
												echo '</div>';
												if(!empty($data['client_feedback'])){
													echo '<p class="testi-card-3_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
												}
											echo '</div>';
										echo '</div>';
									echo '</div>';
								}
								echo '</div>';
								echo '<div class="indicator-number">';
									echo '<div class="indicator-wrapper">';
										echo '<div class="number-pagination">0<span class="pagingInfo1"></span></div>';
										echo '<div class="progress-wrapper">';
											echo '<div class="progress" role="progressbar" aria-valuemin="0" aria-valuemax="100">';
												echo '<span class="slider__label sr-only"></span>';
											echo '</div>';
										echo '</div>';
										echo '<div class="total-pagination">0<span class="pagingInfo2"></span></div>';
									echo '</div>';
		
									echo '<div class="icon-box">';
										echo '<button data-slick-next="#testiSlide8" class="slick-arrow default"><i class="fa-regular fa-angle-left"></i></button>';
										echo '<button data-slick-next="#testiSlide8" class="slick-arrow default style2"><i class="fa-solid fa-angle-right"></i></button>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					echo '</div>';
				echo '</div>';
				if(!empty($settings['section_title'])){
					echo '<div class="testi-review">';
						echo '<h3 class="review-text">'.wp_kses_post( $settings['section_title']).'</h3>';
					echo '</div>';
				}
				if(!empty($settings['shape_image2']['url'])){
					echo '<div class="shape-mockup testi-shape1  d-none d-lg-block" data-top="0%" data-left="0%">';
						echo poolax_img_tag( array(
							'url'	=> esc_url( $settings['shape_image2']['url'] ), 
						) ); 
					echo '</div>';
				}
			echo '</div>';

		}else{
			echo '<div class="testimonial-content-area">';
				foreach( $settings['slides'] as $data ){
					echo '<div class="testi-grid wow fadeInLeft">';
						echo '<div class="testi-grid_wrapper">';
							echo '<div>';
								if(!empty($data['client_image']['url'])){
									echo '<div class="testi-grid_img">';
										echo poolax_img_tag( array(
											'url'	=> esc_url( $data['client_image']['url'] ),
										) );
									echo '</div>';
								}
								echo '<div class="star-icon">';
										if( $data['client_rating'] == 'one' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'two' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'three' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}elseif( $data['client_rating'] == 'four' ){
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-regular fa-star"></i>';
										}else{
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
											echo '<i class="fa-solid fa-star"></i>';
										}
								echo '</div>';
							echo '</div>';
							echo '<div class="testi-grid_content">';
								if(!empty($data['client_feedback'])){
									echo '<p class="testi-grid_text th-text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
								}
								echo '<div class="testi-grid_profile">';
									echo '<div class="media-body">';
										if(!empty($data['client_name'])){
											echo '<h5 class="testi-grid_name th-name">'.wp_kses_post( $data['client_name'] ).'</h5>';
										}
										if(!empty($data['client_desig'])){
											echo '<p class="testi-grid_desig th-desig">'.wp_kses_post( $data['client_desig'] ).'</p>';
										}
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
						if(!empty($settings['quote_image']['url'])){
							echo '<div class="testi-quote">';
								echo poolax_img_tag( array(
									'url'	=> esc_url( $settings['quote_image']['url'] ), 
								) ); 
							echo '</div>';
						}
					echo '</div>';
				}
			echo '</div>';

		}


	}

}