<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Video Widget .
 *
 */
class poolax_Video extends Widget_Base {

	public function get_name() {
		return 'poolaxvideo';
	}
	public function get_title() {
		return __( 'Video Box', 'poolax' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'poolax' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'video_section',
			[
				'label' 	=> __( 'video Box', 'poolax' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'poolax' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'poolax' ),
					'2' 		=> __( 'Style Two', 'poolax' ),
					// '3' 		=> __( 'Style Three', 'poolax' ),
				],
			]
		);  

		poolax_media_fields($this, 'image', 'Choose Image');
		poolax_url_fields($this, 'video_url', 'Video URL');
		poolax_general_fields($this, 'exp_year', 'Experience Year', 'TEXT', '25', ['2']);
		poolax_general_fields($this, 'exp_info', 'Experience Info', 'TEXTAREA', 'Experience', ['2']);
		poolax_general_fields($this, 'info', 'List Info', 'TEXTAREA', 'Experience', ['2']);

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '2' ){
			echo '<div class="about7-area-wrapper">';
				echo '<div class="about-video">';
					echo poolax_img_tag( array(
						'url'   => esc_url( $settings['image']['url'] ),
					));
					if(!empty($settings['video_url']['url'])){
						echo '<a href="'.esc_url( $settings['video_url']['url'] ).'" class="play-btn popup-video"><i class="fa-sharp fa-solid fa-play"></i></a>';
					}
				echo '</div>';
				echo '<div class="th-experience style3">';
					if(!empty($settings['exp_year'])){
						echo '<h3 class="experience-year">'.wp_kses_post($settings['exp_year']).'</h3>';
					}
					if(!empty($settings['exp_info'])){
						echo '<p class="experience-text">'.wp_kses_post($settings['exp_info']).'</p>';
					}
				echo '</div>';
				if(!empty($settings['info'])){
				echo '<div class="checklist">';
					echo wp_kses_post($settings['info']);
				echo '</div>';
				}
			echo '</div>';

		}else{
			echo '<div class="video-box" data-overlay="title" data-opacity="2">';
				echo poolax_img_tag( array(
					'url'   => esc_url( $settings['image']['url'] ),
				));
				echo '<a href="'.esc_url( $settings['video_url']['url'] ).'" class="video-play-btn popup-video"><i class="fa-light fa-play"></i></a>';
			echo '</div>';
		}


	}

}